import { VerticalLayout, Label, Decorators, Widget, Pager } from "@fui/core";

@Decorators.shortcut()
export class FuncDemo extends Widget {
    static xtype = "demo.pager";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 30,
                    text: "默认的分页"
                },
                {
                    type: Pager.xtype,
                    height: 50,
                    pages: 18,
                    groups: 5,
                    curr: 6,
                    first: "首页",
                    last: "尾页"
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "显示上一页、下一页、首页、尾页"
                },
                {
                    type: Pager.xtype,
                    dynamicShow: false,
                    height: 50,
                    pages: 18,
                    groups: 5,
                    curr: 1,
                    first: "首页>",
                    last: "<尾页"
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "显示上一页、下一页"
                },
                {
                    type: Pager.xtype,
                    dynamicShow: false,
                    dynamicShowFirstLast: true,
                    height: 50,
                    pages: 18,
                    groups: 5,
                    curr: 1,
                    first: "首页>",
                    last: "<尾页"
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "自定义上一页、下一页"
                },
                {
                    type: Pager.xtype,
                    dynamicShow: false,
                    height: 50,
                    pages: 18,
                    groups: 5,
                    curr: 6,
                    prev: {
                        type: Pager.xtype,
                        cls: "",
                        text: "上一页",
                        value: "prev",
                        once: false,
                        height: 30,
                        handler() {}
                    },
                    next: {
                        type: Pager.xtype,
                        cls: "",
                        text: "下一页",
                        value: "next",
                        once: false,
                        handler() {}
                    }
                },
                {
                    type: Label.xtype,
                    height: 30,
                    text: "不知道总页数的情况(测试条件 1<=page<=3)"
                },
                {
                    type: Pager.xtype,
                    dynamicShow: false,
                    height: 50,
                    pages: false,
                    curr: 1,
                    prev: {
                        type: Pager.xtype,
                        cls: "",
                        text: "上一页",
                        value: "prev",
                        once: false,
                        height: 30,
                        handler() {}
                    },
                    next: {
                        type: Pager.xtype,
                        cls: "",
                        text: "下一页",
                        value: "next",
                        once: false,
                        handler() {}
                    },
                    hasPrev(v) {
                        return v > 1;
                    },
                    hasNext(v) {
                        return v < 3;
                    }
                }
            ]
        };
    }
}
