
import { TextAreaEditor, VerticalLayout, Button, Decorators, Widget, createWidget, isNotEmptyString, Msg } from "@fui/core"



@Decorators.shortcut()
export class TextareaEditorDemo extends Widget {
    static xtype = "demo.textarea_editor";

    props = { baseCls: "demo-editor" };

    render() {
        const editor = createWidget({
            type: TextAreaEditor.xtype,
            cls: "bi-border",
            width: 600,
            height: 400,
            watermark: "请输入内容",
            errorText: "检测内容有误",
            validationChecker(v) {
                return isNotEmptyString(v);
            },
        });
        editor.on(TextAreaEditor.EVENT_FOCUS, () => {
            Msg.toast("Focus");
        });
        editor.on(TextAreaEditor.EVENT_BLUR, () => {
            Msg.toast("Blur");
        });
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            hgap: 30,
            vgap: 20,
            items: [
                editor,
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(editor.getValue()));
                    },
                },
                {
                    type: Button.xtype,
                    text: "setValue",
                    handler() {
                        editor.setValue("测试数据");
                    },
                }
            ],
        });
    }
}

