
import { Button, FloatLeftLayout, Decorators, Widget, Bubbles } from "@fui/core"


@Decorators.shortcut()
export class BubbleDemo extends Widget {
    static xtype = "demo.bubble";

    props = { baseCls: "demo-bubble" };

    render() {
        const btns = [];
        const items = [
            {
                el: {
                    ref(_ref) {
                        btns.push(_ref);
                    },
                    type: Button.xtype,
                    text: "bubble测试(消息)",
                    title: "123",
                    height: 30,
                    handler() {
                        Bubbles.show("singleBubble1", "bubble测试", this, {
                            level: "common",
                        });
                    },
                },
            },
            {
                el: {
                    ref(_ref) {
                        btns.push(_ref);
                    },
                    type: Button.xtype,
                    text: "bubble测试(成功)",
                    height: 30,
                    handler() {
                        Bubbles.show("singleBubble2", "bubble测试", this, {
                            offsetStyle: "center",
                            level: "success",
                        });
                    },
                },
            },
            {
                el: {
                    ref(_ref) {
                        btns.push(_ref);
                    },
                    type: Button.xtype,
                    text: "bubble测试(错误)",
                    height: 30,
                    handler() {
                        Bubbles.show("singleBubble3", "bubble测试", this, {
                            offsetStyle: "right",
                            level: "error",
                        });
                    },
                },
            },
            {
                el: {
                    ref(_ref) {
                        btns.push(_ref);
                    },
                    type: Button.xtype,
                    text: "bubble测试(警告)",
                    height: 30,
                    handler() {
                        Bubbles.show("singleBubble4", "bubble测试", this, {
                            level: "warning",
                        });
                    },
                },
            }
        ];

        return {
            type: FloatLeftLayout.xtype,
            vgap: 200,
            hgap: 20,
            items,
        };
    }
}

