
import { Button, FloatLeftLayout, Decorators, Widget, createWidget, Msg } from "@fui/core"



@Decorators.shortcut()
export class ToastDemo extends Widget {
    static xtype = "demo.toast";

    props = { baseCls: "demo-toast" };

    render() {
        const items = [
            {
                el: {
                    type: Button.xtype,
                    text: "简单Toast测试(success)",
                    height: 30,
                    handler() {
                        Msg.toast("这是一条简单的数据", {
                            level: "success",
                        });
                    },
                },
            },
            {
                el: {
                    type: Button.xtype,
                    text: "很长的Toast测试(normal)",
                    height: 30,
                    handler() {
                        Msg.toast(
                            "这是一条很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长很长的数据",
                            {}
                        );
                    },
                },
            },
            {
                el: {
                    type: Button.xtype,
                    text: "非常长的Toast测试(warning)",
                    height: 30,
                    handler() {
                        Msg.toast(
                            "这是一条非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长非常长的数据",
                            {
                                level: "warning",
                                autoClose: false,
                            }
                        );
                    },
                },
            },
            {
                el: {
                    type: Button.xtype,
                    text: "错误提示Toast测试(error)",
                    height: 30,
                    handler() {
                        Msg.toast("错误提示Toast测试", {
                            level: "error",
                        });
                    },
                },
            },
            {
                el: {
                    type: Button.xtype,
                    text: "错误提示Toast测试(error), 此toast不会自动消失",
                    height: 30,
                    handler() {
                        Msg.toast("错误提示Toast测试", {
                            autoClose: false,
                        });
                    },
                },
            }
        ];
        createWidget({
            type: FloatLeftLayout.xtype,
            element: this,
            vgap: 200,
            hgap: 20,
            items,
        });
    }
}

