
import { VTapeLayout, Label, PartTree, Decorators, Widget, isNull, TreeView } from "@fui/core"



@Decorators.shortcut()
export class PartTreeDemo extends Widget {
    static xtype = "demo.part_tree";

    props = { baseCls: "demo-func" };

    mounted() {
        this.partTree.stroke({
            keyword: "1",
        });
    }

    render() {
        const self = this;

        return {
            type: VTapeLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    height: 50,
                    text: "先初始化一份数据，然后再异步获取数据的树",
                },
                {
                    type: PartTree.xtype,
                    ref(_ref) {
                        self.partTree = _ref;
                    },
                    paras: {
                        selectedValues: { 1: {}, 2: { 1: {} } },
                    },
                    itemsCreator(op, callback) {
                        if (op.type === TreeView.REQ_TYPE_INIT_DATA) {
                            callback({
                                items: [
                                    {
                                        id: "1",
                                        text: 1,
                                        isParent: true,
                                        open: true,
                                    },
                                    {
                                        id: "11",
                                        pId: "1",
                                        text: 11,
                                        isParent: true,
                                        open: true,
                                    },
                                    {
                                        id: "111",
                                        pId: "11",
                                        text: 111,
                                        isParent: true,
                                    },
                                    {
                                        id: "2",
                                        text: 2,
                                    },
                                    {
                                        id: "3",
                                        text: 3,
                                    }
                                ],
                                hasNext: isNull(op.id),
                            });

                            return;
                        }
                        callback({
                            items: [
                                {
                                    id: `${op.id || ""}1`,
                                    pId: op.id,
                                    text: 1,
                                    isParent: true,
                                },
                                {
                                    id: `${op.id || ""}2`,
                                    pId: op.id,
                                    text: 2,
                                },
                                {
                                    id: `${op.id || ""}3`,
                                    pId: op.id,
                                    text: 3,
                                }
                            ],
                            hasNext: isNull(op.id),
                        });
                    },
                }
            ],
        };
    }
}

