import {
    BubbleCombo,
    Button,
    ButtonGroup,
    TextItem,
    VerticalLayout,
    TextBubblePopupBarView,
    AbsoluteLayout,
    Decorators,
    Widget,
    createWidget,
    makeArray
} from "@fui/core";

@Decorators.shortcut()
export class BubbleComboDemo extends Widget {
    static xtype = "demo.bubble_combo";

    props = { baseCls: "demo-func" };

    render() {
        let self = this,
            count = 1;
        const combo1 = createWidget({
            type: BubbleCombo.xtype,
            trigger: "click,hover",
            el: {
                type: Button.xtype,
                text: "测试",
                height: 24
            },
            popup: {
                el: {
                    type: ButtonGroup.xtype,
                    items: makeArray(100, {
                        type: TextItem.xtype,
                        height: 24,
                        text: "item"
                    }),
                    layouts: [
                        {
                            type: VerticalLayout.xtype
                        }
                    ]
                },
                maxHeight: 200
            }
        });
        const combo2 = createWidget({
            type: BubbleCombo.xtype,
            direction: "right",
            el: {
                type: Button.xtype,
                text: "测试",
                height: 24
            },
            popup: {
                type: TextBubblePopupBarView.xtype,
                text: "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字",
                ref() {
                    self.popup = this;
                }
            },
            listeners: [
                {
                    eventName: BubbleCombo.EVENT_BEFORE_POPUPVIEW,
                    action() {
                        self.popup.populate(
                            count++ % 2 === 1
                                ? "我的文字变少了"
                                : "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字"
                        );
                    }
                }
            ]
        });

        const combo3 = createWidget({
            type: BubbleCombo.xtype,
            el: {
                type: Button.xtype,
                text: "测试",
                height: 25
            },
            popup: {
                type: TextBubblePopupBarView.xtype,
                text: "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字",
                ref() {
                    self.popup = this;
                }
            },
            listeners: [
                {
                    eventName: BubbleCombo.EVENT_BEFORE_POPUPVIEW,
                    action() {
                        self.popup.populate(
                            count++ % 2 === 1
                                ? "我的文字变少了"
                                : "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字"
                        );
                    }
                }
            ]
        });

        const combo4 = createWidget({
            type: BubbleCombo.xtype,
            el: {
                type: Button.xtype,
                text: "测试",
                height: 25
            },
            popup: {
                type: TextBubblePopupBarView.xtype,
                text: "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字",
                ref() {
                    self.popup = this;
                }
            },
            listeners: [
                {
                    eventName: BubbleCombo.EVENT_BEFORE_POPUPVIEW,
                    action() {
                        self.popup.populate(
                            count++ % 2 === 1
                                ? "我的文字变少了"
                                : "我有很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字很多文字"
                        );
                    }
                }
            ]
        });

        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: combo1,
                    left: 150,
                    top: 10
                },
                {
                    el: combo2,
                    left: 10,
                    bottom: 200
                },
                {
                    el: combo3,
                    right: 10,
                    bottom: 10
                },
                {
                    el: combo4,
                    right: 10,
                    top: 10
                }
            ]
        });
    }
}
