import { CONSTANTS } from "@/config/constant";
import {
    HorizontalAutoLayout,
    SearchTextValueCombo,
    AllValueMultiTextValueCombo,
    Button,
    Decorators,
    Widget,
    Msg
} from "@fui/core";

@Decorators.shortcut()
export class SearchTextValueComboDemo extends Widget {
    static xtype = "demo.search_text_value_combo";

    props = { baseCls: "" };

    render() {
        let combo, searchCombo;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: SearchTextValueCombo.xtype,
                    ref() {
                        combo = this;
                    },
                    warningTitle: "111",
                    text: "默认值",
                    value: 14,
                    width: 300,
                    items: [
                        {
                            text: "ABC-1",
                            iconCls: "date-font",
                            value: 1
                        },
                        {
                            text: "BCD-2",
                            iconCls: "search-font",
                            value: 2
                        },
                        {
                            text: "CDE-3",
                            iconCls: "pull-right-font",
                            value: 3
                        },
                        {
                            text: "DEF-3",
                            iconCls: "pull-right-font",
                            value: 4
                        },
                        {
                            text: "FEG-3",
                            iconCls: "pull-right-font",
                            value: 5
                        },
                        {
                            text: "FGH-3",
                            iconCls: "pull-right-font",
                            value: 6
                        },
                        {
                            text: "GHI-3",
                            iconCls: "pull-right-font",
                            value: 7
                        },
                        {
                            text: "HIJ-3",
                            iconCls: "pull-right-font",
                            value: 8
                        },
                        {
                            text: "IJK-3",
                            iconCls: "pull-right-font",
                            value: 9
                        },
                        {
                            text: "JKL-3",
                            iconCls: "pull-right-font",
                            value: 10
                        }
                    ]
                },
                {
                    type: AllValueMultiTextValueCombo.xtype,
                    items: CONSTANTS.ITEMS,
                    text: "提示文本",
                    width: 200,
                    value: {
                        type: 1,
                        value: ["1", "2", "柳州市城贸金属材料有限责任公司", "3"]
                    },
                    ref() {
                        searchCombo = this;
                    },
                    listeners: [
                        {
                            eventName:
                                AllValueMultiTextValueCombo.EVENT_CONFIRM,
                            action() {
                                Msg.toast(
                                    JSON.stringify(searchCombo.getValue())
                                );
                            }
                        }
                    ]
                },
                {
                    type: Button.xtype,
                    text: "setValue(3)",
                    width: 90,
                    height: 25,
                    handler() {
                        combo.setValue(11);
                    }
                },
                {
                    type: Button.xtype,
                    text: "getValue()",
                    width: 90,
                    height: 25,
                    handler() {
                        Msg.toast(JSON.stringify(searchCombo.getValue()));
                    }
                }
            ],
            vgap: 20
        };
    }
}
