
import { HorizontalAutoLayout, TextValueDownListCombo, Button, Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class TextValueDownListComboDemo extends Widget {
    static xtype = "demo.text_value_down_list_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: TextValueDownListCombo.xtype,
                    width: 300,
                    ref(_ref) {
                        self.refs = _ref;
                    },
                    text: "默认值",
                    value: 11,
                    items: [
                        [
                            {
                                text: "属于",
                                value: 1,
                                cls: "dot-e-font",
                            },
                            {
                                text: "不属于",
                                value: 2,
                                cls: "dot-e-font",
                            }
                        ],
                        [
                            {
                                el: {
                                    text: "大于",
                                    value: 3,
                                    iconCls1: "dot-e-font",
                                },
                                value: 3,
                                children: [
                                    {
                                        text: "固定值",
                                        value: 4,
                                        cls: "dot-e-font",
                                    },
                                    {
                                        text: "平均值",
                                        value: 5,
                                        cls: "dot-e-font",
                                    }
                                ],
                            }
                        ]
                    ],
                },
                {
                    type: Button.xtype,
                    width: 90,
                    height: 25,
                    text: "setValue",
                    handler() {
                        self.refs.setValue(2);
                    },
                },
                {
                    type: Button.xtype,
                    width: 90,
                    height: 25,
                    text: "getValue",
                    handler() {
                        Msg.alert("", JSON.stringify(self.refs.getValue()));
                    },
                }
            ],
            vgap: 20,
        };
    }
}

