
import { ShelterEditor, VerticalLayout, AbsoluteLayout, Button, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class ShelterEditorDemo extends Widget {
    static xtype = "demo.shelter_editor";

    props = { baseCls: "" };

    render() {
        const editor = createWidget({
            type: ShelterEditor.xtype,
            cls: "bi-border",
            validationChecker(v) {
                return v != "a";
            },
            watermark: "可以设置标记的输入框",
            value: "这是一个遮罩",
            keyword: "z",
        });
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            hgap: 30,
            vgap: 20,
            bgap: 50,
            items: [editor],
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: {
                        type: Button.xtype,
                        text: "focus",
                        height: 25,
                        handler() {
                            editor.focus();
                        },
                    },
                    right: 10,
                    left: 10,
                    bottom: 10,
                }
            ],
        });
    }
}

