
import { SignEditor, VerticalLayout, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class SignEditorDemo extends Widget {
    static xtype = "demo.sign_editor";

    props = { baseCls: "" };

    render() {
        const editor = createWidget({
            type: SignEditor.xtype,
            cls: "bi-border bi-focus-shadow",
            validationChecker(v) {
                return v != "abc";
            },
            watermark: "可以设置标记的输入框",
            text: "这是一个标记，点击它即可进行输入",
        });
        editor.setValue(2);
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            hgap: 30,
            vgap: 20,
            items: [editor],
        });
    }
}

