
import { HorizontalAdaptLayout, SimpleStateEditor, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class SimpleStateEditorDemo extends Widget {
    static xtype = "demo.simple_state_editor";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAdaptLayout.xtype,
            items: [
                {
                    type: SimpleStateEditor.xtype,
                    ref() {
                        self.editor = this;
                    },
                    cls: "bi-border",
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }

    mounted() {
        const self = this;
        setTimeout(() => {
            self.editor.setState(["*", "*"]);
        }, 1000);
    }
}

