import { CONSTANTS } from "@/config/constant";
import {
    LazyLoader,
    FloatLeftLayout,
    Button,
    Decorators,
    Widget,
    createWidget,
    createItems,
    deepClone
} from "@fui/core";

@Decorators.shortcut()
export class LazyLoaderDemo extends Widget {
    static xtype = "demo.lazy_loader";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;
        createWidget({
            type: LazyLoader.xtype,
            element: this,
            el: {
                layouts: [
                    {
                        type: FloatLeftLayout.xtype,
                        hgap: 5
                    }
                ]
            },
            items: createItems(deepClone(CONSTANTS.ITEMS), {
                type: Button.xtype
            })
        });
    }
}
