import { CONSTANTS } from "@/config/constant";
import {
    SelectList,
    MultiSelectBar,
    MultiSelectItem,
    Decorators,
    Widget,
    createWidget,
    createItems,
    deepClone,
    Selection
} from "@fui/core";

@Decorators.shortcut()
export class SelectListDemo extends Widget {
    static xtype = "demo.select_list";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;
        createWidget({
            type: SelectList.xtype,
            toolbar: {
                type: MultiSelectBar.xtype,
                iconWrapperWidth: 26
            },
            element: this,
            el: {
                el: {
                    chooseType: Selection.Multi
                }
            },
            items: createItems(deepClone(CONSTANTS.SIMPLE_ITEMS), {
                type: MultiSelectItem.xtype
            })
        });
    }
}
