
import { VerticalLayout, DirectionPager, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class DirectionPagerDemo extends Widget {
    static xtype = "demo.direction_pager";

    props = { baseCls: "demo-func" };

    mounted() {
        this.pager.populate();
    }

    render() {
        const self = this;
        createWidget({
            type: VerticalLayout.xtype,
            hgap: 200,
            vgap: 50,
            element: this,
            items: [
                {
                    type: DirectionPager.xtype,
                    ref(_ref) {
                        self.pager = _ref;
                    },
                    horizontal: {
                        pages: false, // 总页数
                        curr: 1, // 初始化当前页， pages为数字时可用

                        hasPrev(v) {
                            return v > 1;
                        },
                        hasNext() {
                            return true;
                        },
                        firstPage: 1,
                    },
                    vertical: {
                        pages: false, // 总页数
                        curr: 1, // 初始化当前页， pages为数字时可用

                        hasPrev(v) {
                            return v > 1;
                        },
                        hasNext() {
                            return true;
                        },
                        firstPage: 1,
                    },
                }
            ],
        });
    }
}

