import { CONSTANTS } from "@/config/constant";
import {
    ListPane,
    MultiSelectItem,
    ButtonGroup,
    VerticalLayout,
    Decorators,
    Widget,
    createItems,
    deepClone
} from "@fui/core";

@Decorators.shortcut()
export class ListPaneDemo extends Widget {
    static xtype = "demo.list_pane";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;

        return {
            type: ListPane.xtype,
            ref() {
                self.pane = this;
            },
            itemsCreator(op, callback) {
                setTimeout(() => {
                    callback(
                        createItems(deepClone(CONSTANTS.ITEMS), {
                            type: MultiSelectItem.xtype,
                            height: 25
                        })
                    );
                }, 2000);
            },
            el: {
                type: ButtonGroup.xtype,
                layouts: [
                    {
                        type: VerticalLayout.xtype
                    }
                ]
            }
        };
    }

    mounted() {
        this.pane.populate();
    }
}
