import { CONSTANTS } from "@/config/constant";
import {
    Panel,
    Button,
    ButtonGroup,
    VerticalLayout,
    MultiSelectItem,
    Decorators,
    Widget,
    createItems,
    deepClone
} from "@fui/core";

@Decorators.shortcut()
export class PanelDemo extends Widget {
    static xtype = "demo.panel";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;

        return {
            type: Panel.xtype,
            title: "title",
            titleButtons: [
                {
                    type: Button.xtype,
                    text: "操作"
                }
            ],
            el: {
                type: ButtonGroup.xtype,
                layouts: [
                    {
                        type: VerticalLayout.xtype
                    }
                ],
                items: createItems(deepClone(CONSTANTS.ITEMS), {
                    type: MultiSelectItem.xtype,
                    height: 25
                })
            }
        };
    }
}
