import { CONSTANTS } from "@/config/constant";
import {
    AbsoluteLayout,
    Combo,
    TextButton,
    PopupPanel,
    ButtonGroup,
    VerticalLayout,
    MultiSelectItem,
    Decorators,
    Widget,
    createItems,
    deepClone
} from "@fui/core";

@Decorators.shortcut()
export class PopupPanelDemo extends Widget {
    static xtype = "demo.popup_panel";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: Combo.xtype,
                        width: 200,
                        height: 30,
                        el: {
                            type: TextButton.xtype,
                            text: "点击",
                            cls: "bi-border",
                            height: 30
                        },
                        popup: {
                            type: PopupPanel.xtype,
                            el: {
                                type: ButtonGroup.xtype,
                                layouts: [
                                    {
                                        type: VerticalLayout.xtype
                                    }
                                ],
                                items: createItems(deepClone(CONSTANTS.ITEMS), {
                                    type: MultiSelectItem.xtype,
                                    height: 25
                                })
                            }
                        }
                    }
                }
            ]
        };
    }
}
