import { CONSTANTS } from "@/config/constant";

import { TreeValueChooserCombo, VerticalLayout, Decorators, Widget, createWidget, deepClone } from "@fui/core"


@Decorators.shortcut()
export class TreeValueChooserDemo extends Widget {
    static xtype = "demo.tree_value_chooser_combo";

    props = { baseCls: "demo-tree-value-chooser-combo" };

    render() {
        const widget = createWidget({
            type: TreeValueChooserCombo.xtype,
            width: 300,
            itemsCreator(op, callback) {
                callback(deepClone(CONSTANTS.TREEITEMS));
            },
            defaultText: "请选择",
        });

        return {
            type: VerticalLayout.xtype,
            hgap: 200,
            vgap: 10,
            items: [widget],
        };
    }
}

