import {
    Button,
    Combo,
    Layout,
    GridLayout,
    Widget,
    createWidget,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class Combo2Demo extends Widget {
    static xtype = "demo.combo2";

    props = { baseCls: "demo-func" };

    _createEl() {
        return {
            type: Button.xtype,
            height: 25,
            text: "点击"
        };
    }

    oneCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustLength: 5,
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 500
                },
                maxHeight: 400
            }
        });
    }

    twoCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "bottom,left",
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 1200
                }
            }
        });
    }

    threeCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustYOffset: 5,
            el: this._createEl(),
            isNeedAdjustHeight: false,
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 1200
                }
            }
        });
    }

    fourCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "left",
            el: this._createEl(),
            isNeedAdjustHeight: true,
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 1200
                }
            }
        });
    }

    fiveCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "left,top",
            el: this._createEl(),
            isNeedAdjustHeight: true,
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 1200
                },
                maxHeight: 2000
            }
        });
    }

    sixCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "top,left",
            el: this._createEl(),
            isNeedAdjustHeight: true,
            popup: {
                el: {
                    type: Layout.xtype,
                    height: 1200
                }
            }
        });
    }

    sevenCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "bottom",
            isNeedAdjustWidth: false,
            // isNeedAdjustHeight: false,
            offsetStyle: "center",
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    width: 200,
                    height: 1200
                }
            }
        });
    }

    eightCombo() {
        return createWidget({
            type: Combo.xtype,
            adjustXOffset: 25,
            adjustYOffset: 5,
            direction: "right",
            isNeedAdjustWidth: false,
            // isNeedAdjustHeight: false,
            offsetStyle: "middle",
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    width: 200,
                    height: 200
                }
            }
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            hgap: 10,
            vgap: 5,
            items: [
                [this.oneCombo(), this.twoCombo(), this.threeCombo()],
                [this.fourCombo(), this.fiveCombo(), this.sixCombo()],
                [this.sevenCombo(), this.eightCombo()]
            ]
        };
    }
}
