import {
    Label,
    Combo,
    Layout,
    GridLayout,
    Widget,
    createWidget,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class Combo3Demo extends Widget {
    static xtype = "demo.combo3";

    props = { baseCls: "demo-func" };

    _createEl() {
        return {
            type: Label.xtype,
            cls: "bi-border",
            height: "100%",
            text: "点击"
        };
    }

    oneCombo() {
        return createWidget({
            type: Combo.xtype,
            direction: "right,innerRight",
            isNeedAdjustWidth: false,
            isNeedAdjustHeight: false,
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    width: 200,
                    height: 200
                }
            }
        });
    }

    twoCombo() {
        return createWidget({
            type: Combo.xtype,
            direction: "right,innerRight",
            isNeedAdjustWidth: false,
            isNeedAdjustHeight: false,
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    width: 1000,
                    height: 200
                }
            }
        });
    }

    threeCombo() {
        return createWidget({
            type: Combo.xtype,
            direction: "right,innerRight",
            isNeedAdjustWidth: false,
            isNeedAdjustHeight: false,
            el: this._createEl(),
            popup: {
                el: {
                    type: Layout.xtype,
                    width: 400,
                    height: 200
                }
            }
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            hgap: 10,
            vgap: 5,
            items: [[this.oneCombo()], [this.twoCombo()], [this.threeCombo()]]
        };
    }
}
