import {
    ComboGroup,
    IconTextIconItem,
    SingleSelectItem,
    Combo,
    TextButton,
    ButtonTree,
    VerticalLayout,
    FloatLeftLayout,
    GridLayout,
    Widget,
    createWidget,
    createItems,
    deepClone,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class ComboGroupDemo extends Widget {
    static xtype = "demo.combo.group";

    props = { baseCls: "demo-func" };
    child = [
        {
            type: ComboGroup.xtype,
            el: {
                type: IconTextIconItem.xtype,
                text: "2010年",
                value: 2010,
                height: 25,
                iconCls: "close-ha-font"
            },
            items: [
                {
                    type: SingleSelectItem.xtype,
                    height: 25,
                    text: "一月",
                    value: 11
                },
                {
                    type: IconTextIconItem.xtype,
                    height: 25,
                    text: "二月",
                    value: 12,
                    iconCls1: "close-ha-font",
                    iconCls2: "close-ha-font",
                    children: [
                        {
                            type: SingleSelectItem.xtype,
                            text: "一号",
                            value: 101,
                            height: 25
                        }
                    ]
                }
            ]
        },
        { text: "2011年", value: 2011 },
        { text: "2012年", value: 2012, iconCls: "close-ha-font" },
        { text: "2013年", value: 2013 },
        { text: "2014年", value: 2014, iconCls: "close-ha-font" },
        { text: "2015年", value: 2015, iconCls: "close-ha-font" }
    ];

    _createBottom() {
        const childCombo = createWidget({
            type: Combo.xtype,
            el: {
                type: TextButton.xtype,
                cls: "button-combo",
                height: 30
            },
            popup: {
                el: {
                    type: ButtonTree.xtype,
                    items: createItems(deepClone(this.child), {
                        type: SingleSelectItem.xtype,
                        height: 25,
                        handler(v) {}
                    }),
                    layouts: [
                        {
                            type: VerticalLayout.xtype
                        }
                    ]
                }
            },
            width: 200
        });
        childCombo.setValue(deepClone(this.child)[0].items[0].value);

        return createWidget({
            type: FloatLeftLayout.xtype,
            items: [childCombo],
            hgap: 20,
            vgap: 20
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            columns: 1,
            rows: 1,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: this._createBottom()
                }
            ]
        };
    }
}
