import {
    VerticalLayout,
    Expander,
    IconTextNode,
    SingleSelectItem,
    Widget,
    createItems,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class ExpanderDemo extends Widget {
    static xtype = "demo.expander";

    props = { baseCls: "demo-func" };

    render() {
        return {
            type: VerticalLayout.xtype,
            hgap: 30,
            vgap: 20,
            items: [
                {
                    type: Expander.xtype,
                    el: {
                        type: IconTextNode.xtype,
                        cls: "pull-right-ha-font mvc-border",
                        height: 25,
                        text: "Expander"
                    },
                    popup: {
                        cls: "mvc-border",
                        items: createItems(
                            [
                                {
                                    text: "项目1",
                                    value: 1
                                },
                                {
                                    text: "项目2",
                                    value: 2
                                },
                                {
                                    text: "项目3",
                                    value: 3
                                },
                                {
                                    text: "项目4",
                                    value: 4
                                }
                            ],
                            {
                                type: SingleSelectItem.xtype,
                                height: 25
                            }
                        )
                    }
                }
            ]
        };
    }
}
