import { Loader,Decorators, SingleSelectItem, Widget, deepClone, map, extend } from '@fui/core';
import { CONSTANTS } from '@/config/constant';

@Decorators.shortcut()
export class LoaderDemo extends Widget {
    static xtype = 'demo.loader';

    props = { baseCls: 'demo-func' };

    render() {
        const self = this;
        this.all = 0;
        const items = deepClone(CONSTANTS.ITEMS);

        return {
            type: Loader.xtype,
            itemsCreator(options, populate) {
                setTimeout(() => {
                    populate(
                        map(items.slice((options.times - 1) * 10, options.times * 10), (i, v) =>
                            extend(v, {
                                type: SingleSelectItem.xtype,
                                height: 25,
                            })
                        )
                    );
                }, 1000);
            },
            hasNext(options) {
                return options.times * 10 < items.length;
            },
        };
    }
}
