import {
    MultiSelectItem,
    ButtonGroup,
    VerticalLayout,
    AbsoluteLayout,
    Searcher,
    Widget,
    createItems,
    createWidget,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class SearcherDemo extends Widget {
    static xtype = "demo.searcher";

    props = { baseCls: "demo-func" };

    _createItems(items) {
        return createItems(items, {
            type: MultiSelectItem.xtype,
            height: 25,
            handler(v) {}
        });
    }

    render() {
        const self = this;
        const items = [
            {
                text: "2010年",
                value: 2010,
                py: "2010n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2011年",
                value: 2011,
                py: "2011n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2012年",
                value: 2012,
                py: "2012n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2013年",
                value: 2013,
                py: "2013n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2014年",
                value: 2014,
                py: "2014n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2015年",
                value: 2015,
                py: "2015n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2016年",
                value: 2016,
                py: "2016n",
                title: "1111111111111111111111111111111111"
            },
            {
                text: "2017年",
                value: 2017,
                py: "2017n",
                title: "1111111111111111111111111111111111"
            }
        ];

        const adapter = createWidget({
            type: ButtonGroup.xtype,
            cls: "layout-bg1",
            items: this._createItems(items),
            chooseType: 1,
            behaviors: {},
            layouts: [
                {
                    type: VerticalLayout.xtype
                }
            ]
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: adapter,
                    top: 50,
                    left: 50,
                    width: 200,
                    height: 100
                }
            ]
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: {
                        type: AbsoluteLayout.xtype,
                        width: 200,
                        height: 30,
                        items: [
                            {
                                el: {
                                    type: Searcher.xtype,
                                    adapter,
                                    width: 200,
                                    height: 30
                                },
                                left: 0,
                                right: 0,
                                top: 0,
                                bottom: 0
                            }
                        ]
                    },
                    top: 100,
                    left: 300
                }
            ]
        });
    }
}
