import {
    Label,
    AbsoluteLayout,
    VerticalLayout,
    Switcher,
    Button,
    SingleSelectItem,
    Widget,
    createWidget,
    createItems,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class SwitcherDemo extends Widget {
    static xtype = "demo.switcher";

    props = { baseCls: "demo-func" };

    render() {
        const adapter = createWidget({
            type: Label.xtype,
            cls: "layout-bg2",
            text: "将在该处弹出switcher"
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: adapter,
                    top: 50,
                    left: 20,
                    width: 200,
                    height: 300
                }
            ]
        });
        createWidget({
            type: VerticalLayout.xtype,
            element: this,
            hgap: 30,
            vgap: 20,
            items: [
                {
                    type: Switcher.xtype,
                    el: {
                        type: Button.xtype,
                        height: 25,
                        text: "Switcher"
                    },
                    popup: {
                        cls: "mvc-border layout-bg5",
                        items: createItems(
                            [
                                {
                                    text: "项目1",
                                    value: 1
                                },
                                {
                                    text: "项目2",
                                    value: 2
                                },
                                {
                                    text: "项目3",
                                    value: 3
                                },
                                {
                                    text: "项目4",
                                    value: 4
                                }
                            ],
                            {
                                type: SingleSelectItem.xtype,
                                height: 25
                            }
                        )
                    },
                    adapter
                }
            ]
        });
    }
}
