import {
    Label,
    ButtonGroup,
    CenterAdaptLayout,
    HorizontalLayout,
    Tab,
    AbsoluteLayout,
    Widget,
    createWidget,
    bind,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class TabDemo extends Widget {
    static xtype = "demo.tab";

    props = { baseCls: "demo-func" };

    _createTabs(v) {
        switch (v) {
            case 1:
                return createWidget({
                    type: Label.xtype,
                    cls: "layout-bg1",
                    text: "面板1"
                });
            case 2:
                return createWidget({
                    type: Label.xtype,
                    cls: "layout-bg2",
                    text: "面板2"
                });
        }
    }

    render() {
        this.tab = createWidget({
            type: ButtonGroup.xtype,
            height: 30,
            items: [
                {
                    text: "Tab1",
                    value: 1,
                    width: 50,
                    cls: "mvc-button layout-bg3"
                },
                {
                    text: "Tab2",
                    value: 2,
                    width: 50,
                    cls: "mvc-button layout-bg4"
                }
            ],
            layouts: [
                {
                    type: CenterAdaptLayout.xtype,
                    items: [
                        {
                            el: {
                                type: HorizontalLayout.xtype,
                                width: 100
                            }
                        }
                    ]
                }
            ]
        });

        const tab = createWidget({
            direction: "custom",
            type: Tab.xtype,
            element: this,
            tab: this.tab,
            cardCreator: bind(this._createTabs, this)
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: this.tab,
                    left: 200,
                    top: 200
                }
            ]
        });

        tab.setSelect(2);
    }
}
