import {
    VerticalLayout,
    ButtonGroup,
    VTapeLayout,
    Label,
    Button,
    Decorators,
    Widget
} from "@fui/core";

@Decorators.shortcut()
export class ButtonGroupDemo extends Widget {
    static xtype = "demo.button_group";

    props = { baseCls: "demo-func" };

    render() {
        let ref;

        return {
            type: VerticalLayout.xtype,
            items: [
                {
                    type: ButtonGroup.xtype,
                    ref(_ref) {
                        ref = _ref;
                    },
                    chooseType: ButtonGroup.CHOOSE_TYPE_NONE,
                    layouts: [
                        {
                            type: VerticalLayout.xtype,
                            items: [
                                {
                                    type: VTapeLayout.xtype,
                                    height: 200
                                }
                            ]
                        }
                    ],
                    items: [
                        {
                            el: {
                                type: Label.xtype,
                                text: "button_group是一类具有相同属性或相似属性的抽象, 本案例实现的是布局的嵌套(vertical布局下内嵌center_adapt布局)"
                            },
                            height: 150
                        },
                        {
                            el: {
                                type: Button.xtype,
                                text: "1"
                            }
                        }
                    ]
                },
                {
                    type: Button.xtype,
                    text: "populate",
                    handler() {
                        ref.populate([
                            {
                                el: {
                                    type: Label.xtype,
                                    text: "1"
                                },
                                height: 50
                            },
                            {
                                el: {
                                    type: Button.xtype,
                                    text: "2"
                                },
                                height: 50
                            },
                            {
                                el: {
                                    type: Label.xtype,
                                    text: "3"
                                }
                            }
                        ]);
                    }
                }
            ]
        };
    }
}
