import {
    Label,
    CollectionView,
    AbsoluteLayout,
    Decorators,
    Widget,
    createWidget
} from "@fui/core";

@Decorators.shortcut()
export class CollectionViewDemo extends Widget {
    static xtype = "demo.collection_view";

    props = { baseCls: "demo-func" };

    render() {
        const items = [];
        const cellCount = 100;
        for (let i = 0; i < cellCount; i++) {
            items[i] = {
                type: Label.xtype,
                text: i
            };
        }
        const grid = createWidget({
            type: CollectionView.xtype,
            width: 400,
            height: 300,
            items,
            cellSizeAndPositionGetter(index) {
                return {
                    x: (index % 10) * 50,
                    y: Math.floor(index / 10) * 50,
                    width: 50,
                    height: 50
                };
            }
        });
        createWidget({
            type: AbsoluteLayout.xtype,
            element: this,
            items: [
                {
                    el: grid,
                    left: 10,
                    right: 10,
                    top: 10,
                    bottom: 10
                }
            ]
        });
    }
}
