import { ListView, FloatLeftLayout, Label, Decorators, Widget, map, extend } from '@fui/core';
import { CONSTANTS } from '@/config/constant';

@Decorators.shortcut()
export class ListViewDemo extends Widget {
    static xtype = 'demo.list_view';

    props = { baseCls: 'demo-func' };

    render() {
        return {
            type: ListView.xtype,
            el: {
                type: FloatLeftLayout.xtype,
            },
            items: map(CONSTANTS.ITEMS, (i, item) =>
                extend({}, item, {
                    type: Label.xtype,
                    width: 200,
                    height: 200,
                    text: `${i + 1}.${item.text}`,
                })
            ),
        };
    }
}
