import { Label, Decorators, Widget, UUID } from "@fui/core";

@Decorators.shortcut()
export class VirtualGroupItemDemo extends Widget {
    static xtype = "demo.virtual_group_item";

    props = { baseCls: "demo-item", height: 30 };

    render() {
        const self = this,
            o = this.options;

        return {
            type: Label.xtype,
            ref() {
                self.label = this;
            },
            height: this.options.height,
            text: `key:${o.key},随机数${UUID()}`
        };
    }

    shouldUpdate(nextProps) {
        const o = this.options;

        return (
            o.type !== nextProps.type ||
            o.key !== nextProps.key ||
            o.value !== nextProps.value
        );
    }

    update(item) {
        this.label.setText(item.value);
        console.log("更新了一项");

        return true; // 返回是不是更新成功
    }

    created() {
        console.log("创建了一项");
    }

    destroyed() {
        console.log("删除了一项");
    }
}
