import { VirtualList, Label, Decorators, Widget, map, extend } from '@fui/core';
import { CONSTANTS } from '@/config/constant';

@Decorators.shortcut()
export class VirtualListDemo extends Widget {
    static xtype = 'demo.virtual_list';

    props = { baseCls: 'demo-func' };

    render() {
        return {
            type: VirtualList.xtype,
            items: map(CONSTANTS.ITEMS, (i, item) =>
                extend({}, item, {
                    type: Label.xtype,
                    height: 30,
                    text: `${i + 1}.${item.text}`,
                })
            ),
        };
    }
}
