
import { CenterAdaptLayout, FloatLeftLayout, Label, FloatRightLayout, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class FlowLayoutDemo extends Widget {
    static xtype = "demo.flow";

    props = { baseCls: "demo-flow" };

    render() {
        return {
            type: CenterAdaptLayout.xtype,
            items: [
                {
                    type: FloatLeftLayout.xtype,
                    items: [
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Left-1",
                            cls: "layout-bg1",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Left-2",
                            cls: "layout-bg2",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Left-3",
                            cls: "layout-bg3",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Left-4",
                            cls: "layout-bg4",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Left-5",
                            cls: "layout-bg5",
                        }
                    ],
                    hgap: 20,
                },
                {
                    type: FloatRightLayout.xtype,
                    hgap: 20,
                    items: [
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Right-1",
                            cls: "layout-bg1",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Right-2",
                            cls: "layout-bg2",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Right-3",
                            cls: "layout-bg3",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Right-4",
                            cls: "layout-bg4",
                        },
                        {
                            type: Label.xtype,
                            height: 30,
                            text: "Right-5",
                            cls: "layout-bg5",
                        }
                    ],
                    vgap: 20,
                }
            ],
        };
    }
}

