
import { GridLayout, Label, Decorators, Widget } from "@fui/core"


@Decorators.shortcut()
export class GridLayoutDemo extends Widget {
    static xtype = "demo.grid";

    props = { baseCls: "demo-grid" };

    render() {
        return {
            type: GridLayout.xtype,
            columns: 5,
            rows: 3,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: {
                        type: Label.xtype,
                        text: "column-0, row-0",
                        cls: "layout-bg1",
                    },
                },
                {
                    column: 1,
                    row: 0,
                    el: {
                        type: Label.xtype,
                        text: "column-1, row-0",
                        cls: "layout-bg2",
                    },
                },
                {
                    column: 2,
                    row: 0,
                    el: {
                        type: Label.xtype,
                        text: "column-2, row-0",
                        cls: "layout-bg6",
                    },
                },
                {
                    column: 3,
                    row: 0,
                    el: {
                        type: Label.xtype,
                        text: "column-3, row-0",
                        cls: "layout-bg3",
                    },
                },
                {
                    column: 4,
                    row: 0,
                    el: {
                        type: Label.xtype,
                        text: "column-4, row-0",
                        cls: "layout-bg4",
                    },
                },
                {
                    column: 0,
                    row: 1,
                    el: {
                        type: Label.xtype,
                        text: "column-0, row-1",
                        cls: "layout-bg5",
                    },
                },
                {
                    column: 1,
                    row: 1,
                    el: {
                        type: Label.xtype,
                        text: "column-1, row-1",
                        cls: "layout-bg6",
                    },
                },
                {
                    column: 2,
                    row: 1,
                    el: {
                        type: Label.xtype,
                        text: "column-2, row-1",
                        cls: "layout-bg7",
                    },
                },
                {
                    column: 3,
                    row: 1,
                    el: {
                        type: Label.xtype,
                        text: "column-3, row-1",
                        cls: "layout-bg1",
                    },
                },
                {
                    column: 4,
                    row: 1,
                    el: {
                        type: Label.xtype,
                        text: "column-4, row-1",
                        cls: "layout-bg3",
                    },
                },
                {
                    column: 0,
                    row: 2,
                    el: {
                        type: Label.xtype,
                        text: "column-0, row-2",
                        cls: "layout-bg2",
                    },
                },
                {
                    column: 1,
                    row: 2,
                    el: {
                        type: Label.xtype,
                        text: "column-1, row-2",
                        cls: "layout-bg3",
                    },
                },
                {
                    column: 2,
                    row: 2,
                    el: {
                        type: Label.xtype,
                        text: "column-2, row-2",
                        cls: "layout-bg4",
                    },
                },
                {
                    column: 3,
                    row: 2,
                    el: {
                        type: Label.xtype,
                        text: "column-3, row-2",
                        cls: "layout-bg5",
                    },
                },
                {
                    column: 4,
                    row: 2,
                    el: {
                        type: Label.xtype,
                        text: "column-4, row-2",
                        cls: "layout-bg6",
                    },
                }
            ],
        };
    }
}

