
import { VerticalLayout, HorizontalLayout, Label, Layout, CenterAdaptLayout, Decorators, Widget, VerticalAlign, HorizontalAlign } from "@fui/core"



@Decorators.shortcut()
export class HorizontalDemo extends Widget {
    static xtype = "demo.horizontal";

    props = { baseCls: "demo-horizontal" };

    render() {
        return {
            type: VerticalLayout.xtype,
            vgap: 10,
            items: [
                {
                    type: HorizontalLayout.xtype,
                    height: 150,
                    hgap: 10,
                    items: [
                        {
                            type: Label.xtype,
                            whiteSpace: "normal",
                            text: "因为大多数场景下都需要垂直居中，所以这个布局一般会被vertical_adapt布局设置scrollx=true取代",
                            cls: "layout-bg3",
                            width: 500,
                            height: 50,
                        },
                        {
                            type: Label.xtype,
                            text: "水平布局",
                            cls: "layout-bg4",
                            width: 300,
                            height: 30,
                        },
                        {
                            type: Label.xtype,
                            text: "水平布局",
                            cls: "layout-bg5",
                            width: 300,
                            height: 30,
                        },
                        {
                            type: Label.xtype,
                            text: "水平布局",
                            cls: "layout-bg6",
                            width: 300,
                            height: 30,
                        }
                    ],
                },
                {
                    type: Layout.xtype,
                    height: 1,
                    cls: "bi-border-bottom bi-high-light-border",
                },
                {
                    type: HorizontalLayout.xtype,
                    height: 150,
                    verticalAlign: VerticalAlign.Middle,
                    horizontalAlign: HorizontalAlign.Left,
                    vgap: 10,
                    items: [
                        {
                            type: Label.xtype,
                            text: "以horizontal实现的vertical_adapt垂直居中",
                            cls: "layout-bg1",
                            width: 300,
                            height: 30,
                        },
                        {
                            type: Label.xtype,
                            text: "以horizontal实现的vertical_adapt垂直居中",
                            cls: "layout-bg2",
                            width: 300,
                            height: 30,
                        }
                    ],
                },
                {
                    type: Layout.xtype,
                    height: 1,
                    cls: "bi-border-bottom bi-high-light-border",
                },
                {
                    type: HorizontalLayout.xtype,
                    height: 150,
                    verticalAlign: VerticalAlign.Top,
                    horizontalAlign: HorizontalAlign.Center,
                    items: [
                        {
                            type: Label.xtype,
                            text: "以horizontal代替horizontal_adapt实现的水平居中(单元素)",
                            cls: "layout-bg1",
                            width: 300,
                            height: 30,
                        }
                    ],
                },
                {
                    type: Layout.xtype,
                    height: 1,
                    cls: "bi-border-bottom bi-high-light-border",
                },
                {
                    type: HorizontalLayout.xtype,
                    height: 150,
                    verticalAlign: VerticalAlign.Top,
                    horizontalAlign: HorizontalAlign.Center,
                    columnSize: [300, "fill"],
                    items: [
                        {
                            type: Label.xtype,
                            text: "以horizontal代替horizontal_adapt实现的用于水平适应布局",
                            cls: "layout-bg1",
                            height: 30,
                        },
                        {
                            type: Label.xtype,
                            text: "以horizontal代替horizontal_adapt实现的水平自适应列",
                            cls: "layout-bg2",
                            height: 30,
                        }
                    ],
                },
                {
                    type: Layout.xtype,
                    height: 1,
                    cls: "bi-border-bottom bi-high-light-border",
                },
                {
                    type: CenterAdaptLayout.xtype,
                    height: 150,
                    verticalAlign: VerticalAlign.Middle,
                    horizontalAlign: HorizontalAlign.Center,
                    items: [
                        {
                            type: Label.xtype,
                            text: "以horizontal代替center_adapt实现的水平垂直居中",
                            width: 300,
                            height: 100,
                            cls: "layout-bg1",
                        }
                    ],
                },
                {
                    type: Layout.xtype,
                    height: 1,
                    cls: "bi-border-bottom bi-high-light-border",
                }
            ],
        };
    }
}

