
import { HorizontalAdaptLayout, Label, GridLayout, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class HorizontalAdaptDemo extends Widget {
    static xtype = "demo.horizontal_adapt";

    props = { baseCls: "demo-horizontal-adapt" };

    _createLayout() {
        return createWidget({
            type: HorizontalAdaptLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "例子1:可用做水平居中",
                    cls: "layout-bg1",
                    width: 300,
                    height: 30,
                }
            ],
        });
    }

    _createAdaptLayout() {
        return createWidget({
            type: HorizontalAdaptLayout.xtype,
            columnSize: [300, "fill"],
            items: [
                {
                    type: Label.xtype,
                    text: "例子2:用于水平适应布局",
                    cls: "layout-bg1",
                    height: 30,
                },
                {
                    type: Label.xtype,
                    text: "水平自适应列",
                    cls: "layout-bg2",
                    height: 30,
                }
            ],
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            columns: 1,
            rows: 2,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: this._createLayout(),
                },
                {
                    column: 0,
                    row: 1,
                    el: this._createAdaptLayout(),
                }
            ],
        };
    }
}

