
import { HorizontalAutoLayout, Label, GridLayout, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class HorizontalAutoDemo extends Widget {
    static xtype = "demo.horizontal_auto";

    props = { baseCls: "demo-horizontal-auto" };

    _createLayout() {
        return createWidget({
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: Label.xtype,
                    text: "水平居中",
                    cls: "layout-bg1",
                    width: 300,
                    height: 30,
                },
                {
                    type: Label.xtype,
                    text: "水平居中优先使用该布局",
                    cls: "layout-bg2",
                    width: 300,
                    height: 30,
                }
            ],
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            columns: 1,
            rows: 2,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: this._createLayout(),
                }
            ],
        };
    }
}

