
import { TableLayout, Layout, GridLayout, Decorators, Widget, createItems } from "@fui/core"


@Decorators.shortcut()
export class TableLayoutDemo extends Widget {
    static xtype = "demo.table_layout";

    props = { baseCls: "demo-table-layout" };

    _createTable1() {
        return {
            type: TableLayout.xtype,
            items: createItems(
                [
                    [
                        {
                            el: {
                                cls: "layout-bg1",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg2",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg3",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg4",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg5",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg6",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg7",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg8",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg1",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg2",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg3",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg4",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg5",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg6",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg7",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg8",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg1",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg2",
                            },
                        }
                    ],
                    [
                        {
                            el: {
                                cls: "layout-bg6",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg7",
                            },
                        },
                        {
                            el: {
                                cls: "layout-bg8",
                            },
                        }
                    ]
                ],
                {
                    type: Layout.xtype,
                }
            ),
            columnSize: [100, "fill", 200],
            rowSize: [10, 30, 50, 70, 90, 110, 130],
            hgap: 20,
            vgap: 10,
        };
    }

    render() {
        return {
            type: GridLayout.xtype,
            columns: 1,
            rows: 1,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: this._createTable1(),
                }
                // , {
                //    column: 0,
                //    row: 1,
                //    el: this._createTable2()
                // }
            ],
        };
    }
}

