
import { VerticalAdaptLayout, Label, GridLayout, Decorators, Widget, createWidget } from "@fui/core"


@Decorators.shortcut()
export class VerticalAdaptLayoutDemo extends Widget {
    static xtype = "demo.vertical_adapt";

    props = { baseCls: "demo-vertical-adapt" };

    _createLayout() {
        return createWidget({
            type: VerticalAdaptLayout.xtype,
            vgap: 10,
            items: [
                {
                    type: Label.xtype,
                    text: "垂直居中",
                    cls: "layout-bg1",
                    width: 300,
                    height: 30,
                },
                {
                    type: Label.xtype,
                    text: "垂直居中",
                    cls: "layout-bg2",
                    width: 300,
                    height: 30,
                }
            ],
        });
    }

    render() {
        return {
            type: GridLayout.xtype,
            columns: 2,
            rows: 1,
            items: [
                {
                    column: 0,
                    row: 0,
                    el: this._createLayout(),
                }
            ],
        };
    }
}

