
import { AbsoluteLayout, Combo, TextButton, PopupView, ButtonGroup, VerticalLayout, MultiSelectItem, Decorators, Widget, createItems, deepClone } from "@fui/core"
import { CONSTANTS } from "@/config/constant";


@Decorators.shortcut()
export class PopupViewDemo extends Widget {
    static xtype = "demo.popup_view";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: Combo.xtype,
                        width: 200,
                        height: 30,
                        el: {
                            type: TextButton.xtype,
                            text: "点击",
                            cls: "bi-border",
                            height: 30,
                        },
                        popup: {
                            type: PopupView.xtype,
                            el: {
                                type: ButtonGroup.xtype,
                                layouts: [
                                    {
                                        type: VerticalLayout.xtype,
                                    }
                                ],
                                items: createItems(deepClone(CONSTANTS.ITEMS), {
                                    type: MultiSelectItem.xtype,
                                    height: 25,
                                }),
                            },
                        },
                    },
                }
            ],
        };
    }
}

