import {
    AbsoluteLayout,
    SearcherView,
    Label,
    Decorators,
    Widget,
    createItems
} from "@fui/core";

@Decorators.shortcut()
export class SearcherViewDemo extends Widget {
    static xtype = "demo.searcher_view";

    props = { baseCls: "demo-func" };

    render() {
        const self = this;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: SearcherView.xtype,
                        ref() {
                            self.searcherView = this;
                        }
                    },
                    left: 100,
                    top: 20,
                    width: 230
                }
            ]
        };
    }

    mounted() {
        this.searcherView.populate(
            createItems(
                [
                    {
                        text: 2012
                    },
                    {
                        text: 2013
                    },
                    {
                        text: 2014
                    },
                    {
                        text: 2015
                    }
                ],
                {
                    type: Label.xtype,
                    textHeight: 24,
                    height: 24
                }
            ),
            [
                {
                    text: 2
                }
            ],
            "2"
        );
    }
}
