import { Decorators, Widget, AbsoluteLayout, Button, Fix, model, Models } from '@fui/core';

@model()
class ParentStore extends Fix.Model {
    static xtype = 'demo.model.context.parent_store';

    state() {
        return {
            context: '默认context',
        };
    }
    childContext = ['context'];
}

@model()
class ChildStore extends Fix.Model {
    static xtype = 'demo.model.context.child_store';

    context = ['context'];
    computed = {
        currContext: function () {
            return this.model.context;
        },
    };
    actions = {
        changeContext: function () {
            this.model.context = '改变后的context';
        },
    };
}

@Decorators.shortcut()
class Child extends Widget {
    static xtype = 'demo.fix_context_child';

    _store() {
        return Models.getModel(ChildStore.xtype);
    }

    watch = {
        currContext(val) {
            this.button.setText(val);
        },
    };

    render() {
        var self = this;
        return {
            type: Button.xtype,
            ref() {
                self.button = this;
            },
            text: this.model.context,
            handler() {
                self.store.changeContext();
            },
        };
    }
}

@Decorators.shortcut()
export class FixContextDemo extends Widget {
    static xtype = 'demo.fix_context';

    _store() {
        return Models.getModel(ParentStore.xtype);
    }

    render() {
        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: Child.xtype,
                    },
                },
            ],
        };
    }
}
