import { Decorators, AbsoluteLayout, Button, Widget, Fix } from '@fui/core';

@Decorators.shortcut()
export class DefineDemo extends Widget {
    static xtype = 'demo.fix2.define';

    watch = {
        name() {
            this.button.setText(this.model.name);
        },
    };

    _store() {
        return Fix.define({
            name: '原始属性',
        });
    }

    render() {
        const self = this;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: Button.xtype,
                        ref() {
                            self.button = this;
                        },
                        handler() {
                            self.model.name = '这是改变后的属性';
                        },
                        text: this.model.name,
                    },
                },
            ],
        };
    }
}
