import {
    Button,
    MultiSelectBar,
    FloatLeftLayout,
    Widget,
    each,
    Msg,
    Decorators
} from "@fui/core";

@Decorators.shortcut()
export class ButtonsDemo extends Widget {
    static xtype = "demo.buttons";

    props = { baseCls: "demo-button" };

    render() {
        const items = [
            {
                el: {
                    type: Button.xtype,
                    text: "一般按钮",
                    level: "common",
                    height: 30
                }
            },
            {
                el: {
                    type: Button.xtype,
                    text: "带图标的按钮",
                    // level: 'ignore',
                    iconCls: "close-font",
                    height: 30
                }
            },
            {
                el: {
                    type: Button.xtype,
                    text: "一般按钮",
                    block: true,
                    level: "common",
                    height: 30
                }
            },
            {
                el: {
                    type: Button.xtype,
                    text: "一般按钮",
                    clear: true,
                    level: "common",
                    height: 30
                }
            },
            {
                el: {
                    type: MultiSelectBar.xtype,
                    selected: true,
                    halfSelected: true
                }
            },
            {
                el: {
                    type: MultiSelectBar.xtype,
                    selected: true,
                    halfSelected: false
                }
            },
            {
                el: {
                    type: MultiSelectBar.xtype,
                    selected: false,
                    halfSelected: true
                }
            },
            {
                el: {
                    type: MultiSelectBar.xtype
                }
            }
        ];
        each(items, (i, item) => {
            item.el.handler = function () {
                Msg.alert("按钮", this.options.text);
            };
        });

        return {
            type: FloatLeftLayout.xtype,
            vgap: 100,
            hgap: 20,
            items
        };
    }
}
