import {
    Decorators,
    Widget,
    Msg,
    HorizontalAutoLayout,
    VerticalLayout,
    DynamicDatePane,
    Button,
    DynamicDateTimePane
} from "@fui/core";

@Decorators.shortcut()
export class DatePane extends Widget {
    static xtype = "demo.date_pane";

    props = { baseCls: "demo-datepane" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: VerticalLayout.xtype,
                    vgap: 10,
                    items: [
                        {
                            type: DynamicDatePane.xtype,
                            // value: {
                            //     type: 1,
                            //     value: {
                            //         year: 2017,
                            //         month: 12,
                            //         day: 11
                            //     }
                            // },
                            ref(_ref) {
                                self.datepane = _ref;
                            },
                            height: 300
                        },
                        {
                            type: Button.xtype,
                            text: "getValue",
                            handler() {
                                Msg.toast(
                                    `date${JSON.stringify(
                                        self.datepane.getValue()
                                    )}`
                                );
                            }
                        },
                        {
                            type: DynamicDateTimePane.xtype,
                            value: {
                                type: 1,
                                value: {
                                    year: 2017,
                                    month: 12,
                                    day: 11,
                                    hour: 12,
                                    minute: 12,
                                    second: 12
                                }
                            },
                            ref(_ref) {
                                self.dateTimePane = _ref;
                            },
                            height: 340
                        },
                        {
                            type: Button.xtype,
                            text: "getValue",
                            handler() {
                                Msg.toast(
                                    `date${JSON.stringify(
                                        self.dateTimePane.getValue()
                                    )}`
                                );
                            }
                        },
                        {
                            type: Button.xtype,
                            text: "setValue '2017-12-31'",
                            handler() {
                                self.datepane.setValue({
                                    year: 2017,
                                    month: 12,
                                    day: 31
                                });
                            }
                        }
                    ],
                    width: "50%"
                }
            ]
        };
    }

    mounted() {
        this.datepane.setValue(); // 不设value值表示当前时间
    }
}
