import {
    AbsoluteLayout,
    DateTimeCombo,
    Decorators,
    Widget,
    print,
    Msg,
} from "@fui/core";

@Decorators.shortcut()
export class CustomDateTimeDemo extends Widget {
    static xtype = "demo.date_time";

    props = {};

    render() {
        const self = this;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: DateTimeCombo.xtype,
                        listeners: [
                            {
                                eventName: DateTimeCombo.EVENT_CONFIRM,
                                action() {
                                    const value = this.getValue();
                                    const date = new Date(
                                        value.year,
                                        value.month - 1,
                                        value.day,
                                        value.hour,
                                        value.minute,
                                        value.second
                                    );
                                    const dateStr = print(
                                        date,
                                        "%Y-%X-%d %H:%M:%S"
                                    );
                                    Msg.alert("日期", dateStr);
                                }
                            },
                            {
                                eventName: DateTimeCombo.EVENT_CANCEL,
                                action() {}
                            }
                        ],
                        value: {
                            year: 2017,
                            month: 2,
                            day: 23,
                            hour: 12,
                            minute: 11,
                            second: 1
                        }
                    },
                    top: 200,
                    left: 200
                }
            ]
        };
    }
}
