import { CONSTANTS } from "@/config/constant";
import {
    HorizontalAutoLayout,
    MultiTreeCombo,
    Button,
     Decorators,
    Widget,
    deepClone,
    Msg,
    TreeView
} from "@fui/core";

@Decorators.shortcut()
export class MultiTreeComboDemo extends Widget {
    static xtype = "demo.multi_tree_combo";

    props = { baseCls: "" };

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.TREE);

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: MultiTreeCombo.xtype,
                    ref(_ref) {
                        self.tree = _ref;
                    },
                    itemsCreator(options, callback) {
                        console.log(options);
                        // 根据不同的类型处理相应的结果
                        switch (options.type) {
                            case TreeView.REQ_TYPE_INIT_DATA:
                                break;
                            case TreeView.REQ_TYPE_ADJUST_DATA:
                                break;
                            case TreeView.REQ_TYPE_SELECT_DATA:
                                break;
                            case TreeView.REQ_TYPE_GET_SELECTED_DATA:
                                break;
                            default:
                                break;
                        }
                        callback({
                            items
                        });
                    },
                    width: 300,
                    value: {
                        根目录: {}
                    },
                    listeners: [
                        {
                            eventName: "EVENT_CONFIRM",
                            action() {
                                console.log("EVENT_CONFIRM", this.getValue());
                            }
                        }
                    ]
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.tree.getValue()));
                    },
                    width: 300
                }
            ],
            vgap: 20
        };
    }
}
