import { CONSTANTS } from "@/config/constant";
import {
    AbsoluteLayout,
    MultiSelectTree,
    Button,
     Decorators,
    Widget,
    deepClone,
    Msg,
    TreeView
} from "@fui/core";

@Decorators.shortcut()
export class MultiSelectTreeDemo extends Widget {
    static xtype = "demo.multi_select_tree";

    props = { baseCls: "" };

    mounted() {
        this.tree.populate();
    }

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.TREE);

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: MultiSelectTree.xtype,
                        ref(_ref) {
                            self.tree = _ref;
                        },
                        itemsCreator(options, callback) {
                            console.log(options);
                            // 根据不同的类型处理相应的结果
                            switch (options.type) {
                                case TreeView.REQ_TYPE_INIT_DATA:
                                    break;
                                case TreeView.REQ_TYPE_ADJUST_DATA:
                                    break;
                                case TreeView.REQ_TYPE_SELECT_DATA:
                                    break;
                                case TreeView.REQ_TYPE_GET_SELECTED_DATA:
                                    break;
                                default:
                                    break;
                            }
                            callback({
                                items: deepClone(items)
                            });
                        },
                        width: 300,
                        value: {
                            根目录: {}
                        }
                    },
                    top: 50,
                    bottom: 50,
                    left: 50,
                    right: 50
                },
                {
                    el: {
                        type: Button.xtype,
                        height: 30,
                        text: "getValue",
                        handler() {
                            Msg.toast(JSON.stringify(self.tree.getValue()));
                        }
                    },
                    left: 50,
                    right: 50,
                    bottom: 20
                }
            ]
        };
    }
}
