import { CONSTANTS } from "@/config/constant";

import { HorizontalAutoLayout, MultiLayerSelectTreeCombo, Button,  Decorators, Widget, deepClone, Msg } from "@fui/core"



@Decorators.shortcut()
export class MultiLayerSelectTreeComboDemo extends Widget {
    static xtype = "demo.multilayer_select_tree_combo";

    props = { baseCls: "" };

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.TREE);

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: MultiLayerSelectTreeCombo.xtype,
                    ref(_ref) {
                        self.tree = _ref;
                    },
                    defaultText: "请选择",
                    items,
                    width: 300,
                    value: ["第五级文件1"],
                },
                {
                    type: Button.xtype,
                    text: "getVlaue",
                    handler() {
                        Msg.toast(self.tree.getValue()[0]);
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setVlaue (第二级文件1)",
                    handler() {
                        self.tree.setValue(["11"]);
                    },
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }
}

