import { CONSTANTS } from "@/config/constant";
import {
    HorizontalAutoLayout,
    SelectTreeCombo,
    Button,
     Decorators,
    Widget,
    deepClone,
    Msg
} from "@fui/core";

@Decorators.shortcut()
export class SelectTreeComboDemo extends Widget {
    static xtype = "demo.select_tree_combo";

    props = { baseCls: "demo-exceltable" };

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.LEVELTREE);

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: SelectTreeCombo.xtype,
                    ref(_ref) {
                        self.tree = _ref;
                    },
                    value: "11",
                    text: "默认值",
                    items,
                    width: 300
                },
                {
                    type: Button.xtype,
                    text: "getVlaue",
                    handler() {
                        Msg.toast(self.tree.getValue()[0]);
                    },
                    width: 300
                },
                {
                    type: Button.xtype,
                    text: "setVlaue (11)",
                    handler() {
                        self.tree.setValue(["2"]);
                    },
                    width: 300
                }
            ],
            vgap: 20
        };
    }
}
