import { CONSTANTS } from "@/config/constant";

import { HorizontalAutoLayout, SingleTreeCombo, Button,  Decorators, Widget, deepClone, Msg } from "@fui/core"



@Decorators.shortcut()
export class SingleTreeComboDemo extends Widget {
    static xtype = "demo.single_tree_combo";

    props = { baseCls: "demo-exceltable" };

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.LEVELTREE);

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: SingleTreeCombo.xtype,
                    ref(_ref) {
                        self.tree = _ref;
                    },
                    defaultText: "请选择",
                    items,
                    width: 300,
                    value: "11",
                },
                {
                    type: Button.xtype,
                    text: "getVlaue",
                    handler() {
                        Msg.toast(self.tree.getValue()[0]);
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setVlaue (第二级文件1)",
                    handler() {
                        self.tree.setValue(["2"]);
                    },
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }
}

