import { CONSTANTS } from "@/config/constant";

import { HorizontalAutoLayout, DateInterval, Button, TimeInterval, TimePeriods,  Decorators, Widget, deepClone, Msg } from "@fui/core"


@Decorators.shortcut()
export class TimeIntervalDemo extends Widget {
    static xtype = "demo.time_interval";

    props = { baseCls: "" };

    render() {
        const self = this;
        const items = deepClone(CONSTANTS.TREE);

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: DateInterval.xtype,
                    ref(_ref) {
                        self.dateInterval = _ref;
                    },
                    value: {
                        start: {
                            type: 2,
                            value: {
                                year: -1,
                                position: 2,
                            },
                        },
                        end: {
                            type: 1,
                            value: {
                                year: 2018,
                                month: 1,
                                day: 12,
                            },
                        },
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.dateInterval.getValue()));
                    },
                    width: 300,
                },
                {
                    type: TimeInterval.xtype,
                    ref(_ref) {
                        self.interval = _ref;
                    },
                    value: {
                        start: {
                            type: 2,
                            value: {
                                year: -1,
                                position: 2,
                            },
                        },
                        end: {
                            type: 1,
                            value: {
                                year: 2018,
                                month: 1,
                                day: 12,
                            },
                        },
                    },
                    width: 400,
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.interval.getValue()));
                    },
                    width: 300,
                },
                {
                    type: TimePeriods.xtype,
                    value: {
                        start: {
                            hour: 7,
                            minute: 23,
                            second: 14,
                        },
                        end: {
                            hour: 23,
                            minute: 34,
                            second: 32,
                        },
                    },
                    ref(_ref) {
                        self.periods = _ref;
                    },
                    width: 180,
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.periods.getValue()));
                    },
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }
}

