import { CONSTANTS } from "@/config/constant";
import {
    MultiLayerSelectLevelTree,
    VTapeLayout,
    Button,
    Decorators,
    Widget,
    createWidget,
    deepClone,
    Msg
} from "@fui/core";

@Decorators.shortcut()
export class MultiLayerSelectLevelTreeDemo extends Widget {
    static xtype = "demo.multilayer_select_level_tree";

    render() {
        const self = this;
        const tree = createWidget({
            type: MultiLayerSelectLevelTree.xtype,
            items: deepClone(CONSTANTS.TREE),
            value: "第五级文件1"
        });

        return {
            type: VTapeLayout.xtype,
            items: [
                {
                    el: tree
                },
                {
                    el: {
                        type: Button.xtype,
                        height: 25,
                        text: "getValue",
                        handler() {
                            Msg.alert("", JSON.stringify(tree.getValue()));
                        }
                    },
                    height: 25
                },
                {
                    el: {
                        type: Button.xtype,
                        height: 25,
                        text: "setValue (第二级文件1)",
                        handler() {
                            tree.setValue(["11"]);
                        }
                    },
                    height: 25
                }
            ],
            width: 500,
            hgap: 300
        };
    }
}
