import { CONSTANTS } from "../../../config/constant";
import {
    SingleTreePopup,
    VTapeLayout,
    Button,
     Decorators,
    Widget,
    createWidget,
    deepClone,
    Msg
} from "@fui/core";

@Decorators.shortcut()
export class SingleLevelTreeDemo extends Widget {
    static xtype = "demo.single_level_tree";

    render() {
        const self = this;
        const tree = createWidget({
            type: SingleTreePopup.xtype,
            items: deepClone(CONSTANTS.LEVELTREE),
            value: "11"
        });

        return {
            type: VTapeLayout.xtype,
            items: [
                {
                    el: tree
                },
                {
                    el: {
                        type: Button.xtype,
                        height: 25,
                        text: "getValue",
                        handler() {
                            Msg.alert("", JSON.stringify(tree.getValue()));
                        }
                    },
                    height: 25
                },
                {
                    el: {
                        type: Button.xtype,
                        height: 25,
                        text: "setValue (第二级文件1)",
                        handler() {
                            tree.setValue(["2"]);
                        }
                    },
                    height: 25
                }
            ],
            width: 500,
            hgap: 300
        };
    }
}
