
import { HorizontalAutoLayout, DynamicYearCombo, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class YearDemo extends Widget {
    static xtype = "demo.year";

    props = { baseCls: "demo-exceltable" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            vgap: 10,
            items: [
                {
                    type: DynamicYearCombo.xtype,
                    width: 300,
                    ref() {
                        self.yearcombo = this;
                    },
                    value: {
                        type: 1,
                        value: {
                            year: 2017,
                        },
                    },
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.yearcombo.getValue()));
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setValue : 2018",
                    handler() {
                        self.yearcombo.setValue(2018);
                    },
                    width: 300,
                }
            ],
            vgap: 10,
        };
    }
}

