
import { HorizontalAutoLayout, YearInterval, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class YearIntervalDemo extends Widget {
    static xtype = "demo.year_interval";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: YearInterval.xtype,
                    ref(_ref) {
                        self.widget = _ref;
                    },
                    width: 300,
                    minDate: "2012-01-01",
                    maxDate: "2013-12-31",
                    value: {
                        type: 1,
                        value: {
                            year: 2012,
                        },
                    },
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.widget.getValue()));
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setValue '2017-12'",
                    width: 300,
                    handler() {
                        self.widget.setValue({
                            year: 2017,
                        });
                    },
                }
            ],
            vgap: 20,
        };
    }
}

