
import { HorizontalAutoLayout, YearMonthInterval, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class YearMonthIntervalDemo extends Widget {
    static xtype = "demo.year_month_interval";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: YearMonthInterval.xtype,
                    ref(_ref) {
                        self.interval = _ref;
                    },
                    value: {
                        start: {
                            type: 2,
                            value: {
                                year: -1,
                                month: 1,
                            },
                        },
                        end: {
                            type: 1,
                            value: {
                                year: 2018,
                                month: 1,
                            },
                        },
                    },
                    width: 400,
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.interval.getValue()));
                    },
                    width: 300,
                }
            ],
            vgap: 20,
        };
    }
}

