
import { HorizontalAutoLayout, DynamicYearQuarterCombo, Button,  Decorators, Widget, Msg } from "@fui/core"



@Decorators.shortcut()
export class YearQuarterComboDemo extends Widget {
    static xtype = "demo.year_quarter_combo";

    props = { baseCls: "" };

    render() {
        const self = this;

        return {
            type: HorizontalAutoLayout.xtype,
            items: [
                {
                    type: DynamicYearQuarterCombo.xtype,
                    width: 300,
                    ref(_ref) {
                        self.widget = _ref;
                    },
                    yearBehaviors: {},
                    quarterBehaviors: {},
                    value: {
                        type: 1,
                        value: {
                            year: 2018,
                            quarter: 1,
                        },
                    },
                },
                {
                    type: Button.xtype,
                    text: "getValue",
                    handler() {
                        Msg.toast(JSON.stringify(self.widget.getValue()));
                    },
                    width: 300,
                },
                {
                    type: Button.xtype,
                    text: "setVlaue '2017 季度3'",
                    width: 300,
                    handler() {
                        self.widget.setValue({
                            year: 2017,
                            quarter: 3,
                        });
                    },
                }
            ],
            vgap: 20,
        };
    }
}

