import { Decorators, Widget, BorderLayout } from "@fui/core";
import { West } from "./west";
import { Center } from "./center";
import { North } from "./north";

@Decorators.shortcut()
export class Main extends Widget {
    static xtype = "demo.main";

    props = { baseCls: "demo-main bi-background" };

    render() {
        return {
            type: BorderLayout.xtype,
            items: {
                north: {
                    height: 50,
                    el: {
                        type: North,
                    },
                },
                west: {
                    width: 230,
                    el: {
                        type: West.xtype,
                    },
                },
                center: {
                    el: {
                        type: Center.xtype,
                    },
                },
            },
        };
    }
}
