const { resolve } = require("path");
const modules = ["./core/platform/web/config"];

module.exports = {
    plugins: [
        function(babel) {
            const { types: t } = babel;
            return {
                visitor: {
                    Program(path) {
                        if (path.hub.file.opts.filename === resolve(__dirname, "src/index.js")) {
                            for (let i = 0; i < modules.length; i++) {
                                const importStatement = t.importDeclaration([], t.stringLiteral(modules[i]));
                                path.pushContainer("body", importStatement);
                            }
                        }
                    },
                },
            };
        },
        [
            "@babel/plugin-proposal-decorators",
            {
                legacy: true
            }
        ],
        [
            "module-resolver",
            {
                root: ["./src"],
                alias: {
                    "@": "./src"
                }
            }
        ]
    ]
};
