import {
    BroadcastController,
    BubblesController,
    DrawerController,
    LayerController,
    MaskersController,
    PopoverController,
    ResizeController,
    TooltipsController,
} from '../core/controller';
import { StyleLoaderManager } from '../core/loader/loader.style';

const Resizers = new ResizeController();
const Layers = new LayerController(Resizers);
const Maskers = new MaskersController(Resizers);
const Bubbles = new BubblesController();
const Tooltips = new TooltipsController();
const Popovers = new PopoverController();
const Drawers = new DrawerController();
const Broadcasts = new BroadcastController();
const StyleLoaders = new StyleLoaderManager();

export { Resizers, Layers, Maskers, Bubbles, Tooltips, Popovers, Drawers, Broadcasts, StyleLoaders };
