import { shortcut, Widget, createWidget, Controller, useContext, watch } from "@/core";

@shortcut()
export class Context extends Widget {
    static xtype = "bi.context";

    props = { context: "", watch: {}, el: {}, items: [] };

    render() {
        const self = this,
            o = this.options;
        if (o.context) {
            this.context = useContext(o.context);
        }
        this.widget = createWidget((o.items[0] || o.el)(this.context), {
            element: this,
        });
        this.widget.on(Controller.EVENT_CHANGE, function () {
            self.fireEvent(Controller.EVENT_CHANGE, arguments);
        });
    }

    __initWatch() {
        super.__initWatch.call(this);
        const o = this.options;
        watch(this.context, o.context, o.watch);
    }

    setValue(v) {
        this.widget.setValue(v);
    }

    getValue() {
        return this.widget.getValue();
    }

    populate() {
        this.widget.populate.apply(this, arguments);
    }
}
