import { shortcut, Widget, extend, createWidget, Controller } from "@/core";

@shortcut()
export class EL extends Widget {
    static xtype = "bi.el";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            baseCls: "bi-el",
            el: {},
        });
    }

    render() {
        const self = this,
            o = this.options;
        this.ele = createWidget(o.el, {
            element: this,
        });
        this.ele.on(Controller.EVENT_CHANGE, function () {
            self.fireEvent(Controller.EVENT_CHANGE, arguments);
        });
    }

    setValue(v) {
        this.ele.setValue(v);
    }

    getValue() {
        return this.ele.getValue();
    }

    populate() {
        this.ele.populate.apply(this, arguments);
    }
}
