import { Text } from "../1.text";
import { shortcut, extend, createWidget } from "@/core";

/**
 * 超链接
 *
 * Created by GUY on 2015/9/9.
 * @class A
 * @extends Text
 * @abstract
 */

@shortcut()
export class A extends Text {
    static xtype = "bi.a";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-a display-block`,
            href: "",
            target: "_blank",
            el: null,
            tagName: "a",
        });
    }

    render() {
        const { href, target, el } = this.options;
        super.render();
        this.element.attr({ href, target });
        if (el) {
            createWidget(el, {
                element: this,
            });
        }
    }
}
