import { Single } from "../0.single";
import { shortcut, extend } from "@/core";

/**
 * @class Iframe
 * @extends Single
 * @abstract
 * Created by GameJian on 2016/3/2.
 */

@shortcut()
export class Iframe extends Single {
    static xtype = "bi.iframe";

    _defaultConfig(config) {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            tagName: "iframe",
            baseCls: `${conf.baseCls || ""} bi-iframe`,
            src: "",
            name: "",
            attributes: {},
            width: "100%",
            height: "100%",
        });
    }

    render() {
        this.element.on("load", () => {
            this.fireEvent("EVENT_LOADED");
        });
    }

    _initProps() {
        super._initProps(...arguments);
        const { src, name } = this.options;
        this.options.attributes = extend(
            {
                frameborder: 0,
                src,
                name,
            },
            this.options.attributes
        );
    }

    setSrc(src) {
        this.options.src = src;
        this.element.attr("src", src);
    }

    getSrc() {
        return this.options.src;
    }

    setName(name) {
        this.options.name = name;
        this.element.attr("name", name);
    }

    getName() {
        return this.options.name;
    }
}
