import { Single } from "../0.single";
import { shortcut, extend } from "@/core";

@shortcut()
export class Img extends Single {
    static xtype = "bi.img";

    _defaultConfig(config) {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            tagName: "img",
            baseCls: `${conf.baseCls || ""} bi-img display-block`,
            src: "",
            attributes: config.src ? { src: config.src } : {},
            width: "100%",
            height: "100%",
        });
    }

    _initProps() {
        super._initProps(...arguments);
        const { src } = this.options;
        this.options.attributes = extend(
            {
                src,
            },
            this.options.attributes
        );
    }

    setSrc(src) {
        this.options.src = src;
        this.element.attr("src", src);
    }

    getSrc() {
        return this.options.src;
    }
}
