import { CenterAdaptLayout, DefaultLayout, shortcut, emptyFn } from "@/core";
import { BasicButton } from "../../button";

/**
 * guy
 * @extends Single
 * @type {*|void|Object}
 */

@shortcut()
export class Checkbox extends BasicButton {
    static xtype = "bi.checkbox";

    static EVENT_CHANGE = "EVENT_CHANGE";

    props = {
        baseCls: "bi-checkbox",
        selected: false,
        handler: emptyFn,
        width: 14,
        height: 14,
        iconWidth: 14,
        iconHeight: 14,
    };

    render() {
        const { iconWidth, iconHeight } = this.options;

        return {
            type: CenterAdaptLayout.xtype,
            items: [
                {
                    type: DefaultLayout.xtype,
                    ref: _ref => {
                        this.checkbox = _ref;
                    },
                    cls: "checkbox-content",
                    width: iconWidth,
                    height: iconHeight,
                }
            ],
        };
    }

    _setEnable(enable) {
        super._setEnable(enable);
        if (enable === true) {
            this.checkbox.element.removeClass("base-disabled disabled");
        } else {
            this.checkbox.element.addClass("base-disabled disabled");
        }
    }

    doClick() {
        super.doClick(...arguments);
        if (this.isValid()) {
            this.fireEvent(Checkbox.EVENT_CHANGE);
        }
    }

    setSelected(b) {
        super.setSelected(b);
        if (b) {
            this.checkbox.element.addClass("bi-high-light-background");
        } else {
            this.checkbox.element.removeClass("bi-high-light-background");
        }
    }
}
