import { IconButton } from "../../button";
import { shortcut, extend, emptyFn } from "@/core";

/**
 * guy
 * @extends Single
 * @type {*|void|Object}
 */

@shortcut()
export class ImageRadio extends IconButton {
    static xtype = "bi.image_radio";

    static EVENT_CHANGE = IconButton.EVENT_CHANGE;

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-radio radio-icon`,
            selected: false,
            handler: emptyFn,
            width: 16,
            height: 16,
            iconWidth: 16,
            iconHeight: 16,
        });
    }

    doClick() {
        super.doClick(...arguments);
        if (this.isValid()) {
            this.fireEvent(ImageRadio.EVENT_CHANGE);
        }
    }
}
