import { AbstractLabel } from "./abstract.label";
import { shortcut, isFunction, isNotNull } from "@/core";

/**
 * Created by GUY on 2015/6/26.
 */

@shortcut()
export class Label extends AbstractLabel {
    static xtype = "bi.label";

    props = {
        baseCls: "bi-label",
        py: "",
        keyword: "",
    };

    getTitle() {
        const title = this.options.title;
        const text = this.options.text;
        if (isFunction(title)) {
            return title();
        }
        if (isNotNull(title)) {
            return title;
        }

        if (isFunction(text)) {
            return text();
        }

        return text;
    }

    doRedMark() {
        this.text.doRedMark.apply(this.text, arguments);
    }

    unRedMark() {
        this.text.unRedMark.apply(this.text, arguments);
    }
}
