import { Text } from "./1.text";
import { Widget, shortcut, isFunction, isKey, isNotNull } from "@/core";

/**
 * 没有html标签的纯文本
 */

@shortcut()
export class PureText extends Widget {
    static xtype = "bi.pure_text";

    props = {
        tagName: null,
    };

    render() {
        const { text: optionsText, value } = this.options;
        const text = isFunction(optionsText)
            ? this.__watch(optionsText, (context, newValue) => {
                this.setText(newValue);
            })
            : optionsText;
        if (isKey(text)) {
            this.setText(text);
        } else if (isKey(value)) {
            this.setText(value);
        }
    }

    _getShowText() {
        const { text: optionsText, value } = this.options;
        let text = isFunction(optionsText) ? optionsText() : optionsText;
        text = isKey(text) ? text : value;
        if (!isKey(text)) {
            return "";
        }

        return Text.formatText(`${text}`);
    }

    setValue(value) {
        this.options.value = value;
        this.setText(value);
    }

    setText(text) {
        this.options.text = isNotNull(text) ? text : "";
        this.element.__textKeywordMarked__(this._getShowText());
    }
}
