import { CenterAdaptLayout, DefaultLayout, shortcut, extend } from "@/core";
import { BasicButton } from "@/base";

@shortcut()
export class HalfButton extends BasicButton {
    static xtype = "bi.half_button";
    static EVENT_CHANGE = "EVENT_CHANGE";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            selected: false,
            width: 14,
            height: 14,
            iconWidth: 14,
            iconHeight: 14,
        });
    }

    render() {
        const o = this.options;

        return {
            type: CenterAdaptLayout.xtype,
            items: [
                {
                    type: DefaultLayout.xtype,
                    cls: "bi-half-button bi-high-light-border",
                    width: o.iconWidth,
                    height: o.iconHeight,
                },
            ],
        };
    }

    doClick() {
        super.doClick(...arguments);
        if (this.isValid()) {
            this.fireEvent(HalfButton.EVENT_CHANGE);
        }
    }
}
