import { IconTextItem, Single } from "@/base";
import { shortcut, extend, createWidget, Controller, SIZE_CONSANTS } from "@/core";

/**
 * Created by GUY on 2016/2/2.
 *
 * @class SingleSelectIconTextItem
 * @extends BasicButton
 */
@shortcut()
export class SingleSelectIconTextItem extends Single {
    static xtype = "bi.single_select_icon_text_item";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            extraCls: "bi-single-select-icon-text-item bi-list-item-active",
            attributes: {
                tabIndex: 1,
            },
            iconCls: "",
            height: SIZE_CONSANTS.LIST_ITEM_HEIGHT,
        });
    }

    render() {
        const o = this.options;
        this.text = createWidget({
            type: IconTextItem.xtype,
            element: this,
            cls: o.iconCls,
            once: o.once,
            iconWrapperWidth: o.iconWrapperWidth,
            selected: o.selected,
            height: o.height,
            iconHeight: o.iconHeight,
            iconWidth: o.iconWidth,
            textHgap: o.textHgap,
            textVgap: o.textVgap,
            textLgap: o.textLgap,
            textRgap: o.textRgap,
            text: o.text,
            keyword: o.keyword,
            value: o.value,
            py: o.py,
        });
        this.text.on(Controller.EVENT_CHANGE, (...args) => {
            this.fireEvent(Controller.EVENT_CHANGE, ...args);
        });
    }

    _setEnable(enable) {
        super._setEnable(...arguments);
        if (enable === true) {
            this.element.attr("tabIndex", 1);
        } else if (enable === false) {
            this.element.removeAttr("tabIndex");
        }
    }

    isSelected() {
        return this.text.isSelected();
    }

    setSelected(b) {
        this.text.setSelected(b);
    }

    doRedMark() {
        this.text.doRedMark(...arguments);
    }

    unRedMark() {
        this.text.unRedMark(...arguments);
    }
}
