import { AbsoluteLayout, shortcut, SIZE_CONSANTS } from "@/core";
import { TextItem, BasicButton } from "@/base";

/**
 * 专门为calendar的视觉加的button，作为私有button,不能配置任何属性，也不要用这个玩意
 */
@shortcut()
export class CalendarDateItem extends BasicButton {
    props() {
        return {
            baseCls: "bi-calendar-date-item",
            height: SIZE_CONSANTS.LIST_ITEM_HEIGHT + 8,
        };
    }

    static xtype = "bi.calendar_date_item";

    render() {
        const { text, value, lgap, rgap, tgap, bgap } = this.options;

        return {
            type: AbsoluteLayout.xtype,
            items: [
                {
                    el: {
                        type: TextItem.xtype,
                        cls: "bi-border-radius bi-list-item-select",
                        textAlign: "center",
                        text,
                        value,
                        ref: _ref => {
                            this.text = _ref;
                        },
                    },
                    left: lgap,
                    right: rgap,
                    top: tgap,
                    bottom: bgap,
                }
            ],
        };
    }

    doHighLight() {
        this.text.doHighLight(...arguments);
    }

    unHighLight() {
        this.text.unHighLight(...arguments);
    }

    setValue() {
        if (!this.isReadOnly()) {
            this.text.setValue(...arguments);
        }
    }

    setSelected(b) {
        super.setSelected(...arguments);
        this.text.setSelected(b);
    }

    getValue() {
        return this.text.getValue();
    }
}
