import { shortcut } from "@/core";
import { IconButton } from "@/base";

/**
 * Created by roy on 15/10/16.
 * 右与下箭头切换的树节点
 */

@shortcut()
export class ArrowTreeGroupNodeCheckbox extends IconButton {
    static xtype = "bi.arrow_group_node_checkbox";

    props(conf) {
        return {
            extraCls: `bi-arrow-group-node-checkbox ${conf.collapseIcon || "expander-right-font"}`,
            expandIcon: "expander-down-font",
            collapseIcon: "expander-right-font",
        };
    }

    setSelected(v) {
        const o = this.options;
        super.setSelected(...arguments);
        if (v) {
            this.element.removeClass(o.collapseIcon).addClass(o.expandIcon);
        } else {
            this.element.removeClass(o.expandIcon).addClass(o.collapseIcon);
        }
    }
}
