import { extend, shortcut } from "@/core";
import { IconButton } from "@/base";

/**
 * 十字型的树节点
 * @class CheckingMarkNode
 * @extends IconButton
 */

@shortcut()
export class CheckingMarkNode extends IconButton {
    static xtype = "bi.checking_mark_node";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {});
    }

    setSelected(v) {
        super.setSelected(...arguments);
        if (v === true) {
            this.element.addClass("check-mark-font");
        } else {
            this.element.removeClass("check-mark-font");
        }
    }
}
