import { HexColorChooserPopup } from "./colorchooser.popup.hex";
import { shortcut, Widget } from "@/core";
import { ColorChooserPopup } from "./colorchooser.popup";
import { SimpleColorChooserPopup } from "./colorchooser.popup.simple";

/**
 * @author windy
 * @version 2.0
 * Created by windy on 2020/11/10
 */
@shortcut()
export class SimpleHexColorChooserPopup extends Widget {
    static xtype = "bi.simple_hex_color_chooser_popup";

    static EVENT_VALUE_CHANGE = "EVENT_VALUE_CHANGE";
    static EVENT_CHANGE = "EVENT_CHANGE";

    props = {
        baseCls: "bi-color-chooser-popup",
    };

    render() {
        const o = this.options;

        return {
            type: HexColorChooserPopup.xtype,
            recommendColorsGetter: o.recommendColorsGetter,
            value: o.value,
            simple: true, // 是否有自动
            listeners: [
                {
                    eventName: ColorChooserPopup.EVENT_CHANGE,
                    action: (...args) => {
                        this.fireEvent(SimpleColorChooserPopup.EVENT_CHANGE, ...args);
                    },
                },
                {
                    eventName: ColorChooserPopup.EVENT_VALUE_CHANGE,
                    action: (...args) => {
                        this.fireEvent(SimpleColorChooserPopup.EVENT_VALUE_CHANGE, ...args);
                    },
                }
            ],
            ref: _ref => {
                this.popup = _ref;
            },
        };
    }

    setStoreColors(colors) {
        this.popup.setStoreColors(colors);
    }

    setValue(color) {
        this.popup.setValue(color);
    }

    getValue() {
        return this.popup.getValue();
    }
}
