import { HTapeLayout, shortcut } from "@/core";
import { IconLabel, Label, BasicButton } from "@/base";

/**
 * @author windy
 * @version 2.0
 * Created by windy on 2021/7/28
 */
@shortcut()
export class ColorChooserShowButton extends BasicButton {
    static xtype = "bi.color_picker_show_button";

    static EVENT_CHANGE = "EVENT_CHANGE";

    props = {
        baseCls: "bi-color-chooser-show-button bi-border bi-list-item-effect bi-border-radius",
    };

    render() {
        const o = this.options;

        return {
            type: HTapeLayout.xtype,
            items: [
                {
                    el: {
                        type: IconLabel.xtype,
                        ref: _ref => {
                            this.icon = _ref;
                        },
                        iconWidth: 16,
                        iconHeight: 16,
                    },
                    hgap: 20,
                    width: 16,
                },
                {
                    type: Label.xtype,
                    textAlign: "left",
                    text: o.text,
                }
            ],
        };
    }

    doClick() {
        super.doClick(...arguments);
        if (this.isValid()) {
            this.fireEvent(ColorChooserShowButton.EVENT_CHANGE, this);
        }
    }
}
