import { TextValueCombo } from "./combo.textvalue";
import { shortcut, Widget, extend } from "@/core";
import { ButtonGroup } from "@/base";
import { SmallSelectTextTrigger } from "../../trigger";

@shortcut()
export class SmallTextValueCombo extends Widget {
    static xtype = "bi.small_text_value_combo";

    static EVENT_CHANGE = "EVENT_CHANGE";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            width: 100,
            height: 20,
            chooseType: ButtonGroup.CHOOSE_TYPE_SINGLE,
            el: {},
            text: "",
        });
    }

    render() {
        const o = this.options;

        return {
            type: TextValueCombo.xtype,
            ref: (_ref) => {
                this.combo = _ref;
            },
            height: o.height,
            chooseType: o.chooseType,
            el: {
                type: SmallSelectTextTrigger.xtype,
                ...o.el,
            },
            items: o.items,
            text: o.text,
            value: o.value,
            defaultText: o.defaultText,
            allowClear: o.allowClear,
            status: o.status,
            title: o.title,
            listeners: [
                {
                    eventName: TextValueCombo.EVENT_CHANGE,
                    action: (...args) => {
                        this.fireEvent(SmallTextValueCombo.EVENT_CHANGE, ...args);
                    },
                },
            ],
        };
    }

    setValue(v) {
        this.combo.setValue(v);
    }

    getValue() {
        return this.combo.getValue();
    }

    populate(items) {
        this.combo.populate(items);
    }
}
