import { Label, BasicButton } from "@/base";
import { shortcut, extend, createWidget } from "@/core";

/**
 * 分段控件使用的button
 *
 * Created by GUY on 2015/9/7.
 * @class SegmentButton
 * @extends BasicButton
 */
@shortcut()
export class SegmentButton extends BasicButton {
    static xtype = "bi.segment_button";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-segment-button bi-list-item-select bi-card`,
            shadow: true,
            readonly: true,
            hgap: 5,
        });
    }

    _init() {
        super._init(...arguments);
        const opts = this.options;
        this.text = createWidget({
            type: Label.xtype,
            element: this,
            textHeight: opts.height,
            whiteSpace: opts.whiteSpace,
            text: opts.text,
            value: opts.value,
            hgap: opts.hgap,
        });
    }

    setSelected() {
        super.setSelected(...arguments);
    }

    setText(text) {
        super.setText(...arguments);
        this.text.setText(text);
    }
}
