import { Controller, createWidget, pixFormat, shortcut, VerticalLayout, Widget, SIZE_CONSANTS, STYLE_CONSTANTS } from "@/core";

@shortcut()
export class TreeExpanderPopup extends Widget {
    static xtype = "bi.tree_expander.popup";

    props() {
        return {
            baseCls: "bi-tree-expander-popup",
            layer: 0, // 第几层级
            el: {},
            isLastNode: false,
            showLine: true,
        };
    }

    render() {
        const self = this;
        const { el, value, layer, showLine, isLastNode } = this.options;
        const offset = SIZE_CONSANTS.LIST_ITEM_HEIGHT / 2;

        this.popupView = createWidget(
            {
                ...el,
                value,
            },
            this
        );

        this.popupView.on(Controller.EVENT_CHANGE, function () {
            self.fireEvent(Controller.EVENT_CHANGE, arguments);
        });

        if (showLine) {
            this.popupView.element.css("margin-left", pixFormat(-offset * (layer + 1)));
            this.element.css("margin-left", pixFormat(offset * (layer + 1)));
        }

        return {
            type: VerticalLayout.xtype,
            cls: showLine && !isLastNode ? (STYLE_CONSTANTS.LINK_LINE_TYPE === "solid" ? "line solid" : "line") : "",
            scrolly: null,
            items: [this.popupView],
        };
    }

    setValue(v) {
        this.popupView.setValue(v);
    }

    getValue() {
        return this.popupView.getValue();
    }

    populate(items) {
        this.popupView.populate(items);
    }

    getAllLeaves() {
        return this.popupView && this.popupView.getAllLeaves();
    }
}
