import { TriggerIconButton } from "../button";
import { shortcut, extend, createWidget } from "@/core";
import { Trigger } from "@/base";

/**
 * 图标按钮trigger
 *
 * Created by GUY on 2015/10/8.
 * @class IconTrigger
 * @extends Trigger
 */
@shortcut()
export class IconTrigger extends Trigger {
    static xtype = "bi.icon_trigger";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            baseCls: "bi-icon-trigger",
            extraCls: "pull-down-font",
            el: {},
            height: 24,
        });
    }

    _init() {
        const o = this.options;
        super._init(...arguments);
        this.iconButton = createWidget(o.el, {
            type: TriggerIconButton.xtype,
            element: this,
            width: o.width,
            height: o.height,
            extraCls: o.extraCls,
        });
    }
}
