import { Label, Trigger } from "@/base";
import { TriggerIconButton } from "../button";
import { HorizontalFillLayout, shortcut, extend, createWidget } from "@/core";

/**
 * 文字trigger(右边小三角小一号的) ==
 *
 * @class SmallTextTrigger
 * @extends Trigger
 */
@shortcut()
export class SmallTextTrigger extends Trigger {
    static xtype = "bi.small_text_trigger";

    _defaultConfig() {
        const conf = super._defaultConfig(...arguments);

        return extend(conf, {
            baseCls: `${conf.baseCls || ""} bi-text-trigger`,
            height: 20,
            textHgap: 6,
        });
    }

    _init() {
        super._init(...arguments);
        const o = this.options;
        this.text = createWidget({
            type: Label.xtype,
            textAlign: "left",
            height: o.height,
            text: o.text,
            hgap: o.textHgap,
            vgap: o.textVgap,
            lgap: o.textLgap,
            rgap: o.textRgap,
            tgap: o.textTgap,
            bgap: o.textBgap,
        });
        this.trigerButton = createWidget({
            type: TriggerIconButton.xtype,
            width: o.triggerWidth || o.height,
        });

        createWidget({
            element: this,
            type: HorizontalFillLayout.xtype,
            items: [
                {
                    el: this.text,
                    width: "fill",
                },
                {
                    el: this.trigerButton,
                    width: "",
                }
            ],
        });
    }

    setValue(value) {
        this.text.setValue(value);
    }

    setText(text) {
        this.text.setText(text);
    }
}
