const _WidgetsPlugin = {};
const _ObjectPlugin = {};
const _ConfigPlugin = {};
const _ConfigRenderPlugin = {};
let _GlobalWidgetConfigFns = [];
let __GlobalObjectConfigFns = [];

export const Plugin = {
    getWidget (type, options) {
        if (_GlobalWidgetConfigFns.length > 0) {
            const fns = _GlobalWidgetConfigFns.slice(0);
            for (let i = fns.length - 1; i >= 0; i--) {
                fns[i](type, options);
            }
        }

        let res;
        if (_ConfigPlugin[type]) {
            for (let i = _ConfigPlugin[type].length - 1; i >= 0; i--) {
                res = _ConfigPlugin[type][i](options);
                if (res) {
                    options = res;
                }
            }
        }
        // Deprecated
        if (_WidgetsPlugin[type]) {
            for (let i = _WidgetsPlugin[type].length - 1; i >= 0; i--) {
                res = _WidgetsPlugin[type][i](options);
                if (res) {
                    return res;
                }
            }
        }
        
        return options;
    },

    config (widgetConfigFn, objectConfigFn) {
        _GlobalWidgetConfigFns = _GlobalWidgetConfigFns.concat(BI._.isArray(widgetConfigFn) ? widgetConfigFn : [widgetConfigFn]);
        __GlobalObjectConfigFns = __GlobalObjectConfigFns.concat(BI._.isArray(objectConfigFn) ? objectConfigFn : [objectConfigFn]);
    },

    configWidget (type, fn, opt) {
        // opt.single: true 最后一次注册有效
        if (!_ConfigPlugin[type] || (opt && opt.single)) {
            _ConfigPlugin[type] = [];
        }
        _ConfigPlugin[type].push(fn);
    },

    getRender (type, rendered) {
        let res;
        if (_ConfigRenderPlugin[type]) {
            for (let i = _ConfigRenderPlugin[type].length - 1; i >= 0; i--) {
                res = _ConfigRenderPlugin[type][i](rendered);
                if (res) {
                    rendered = res;
                }
            }
        }
        
        return rendered;
    },

    configRender (type, fn) {
        if (!_ConfigRenderPlugin[type]) {
            _ConfigRenderPlugin[type] = [];
        }
        _ConfigRenderPlugin[type].push(fn);
    },

    // Deprecated
    registerWidget (type, fn) {
        if (!_WidgetsPlugin[type]) {
            _WidgetsPlugin[type] = [];
        }
        if (_WidgetsPlugin[type].length > 0) {
            console.log("widget already registered!");
        }
        _WidgetsPlugin[type].push(fn);
    },

    // Deprecated
    relieveWidget (type) {
        delete _WidgetsPlugin[type];
    },

    getObject (type, object) {
        if (__GlobalObjectConfigFns.length > 0) {
            const fns = __GlobalObjectConfigFns.slice(0);
            for (let i = fns.length - 1; i >= 0; i--) {
                fns[i](type, object);
            }
        }

        let res;
        if (_ObjectPlugin[type]) {
            for (let i = 0, len = _ObjectPlugin[type].length; i < len; i++) {
                res = _ObjectPlugin[type][i](object);
                if (res) {
                    object = res;
                }
            }
        }
        
        return res || object;
    },

    hasObject (type) {
        return __GlobalObjectConfigFns.length > 0 || !!_ObjectPlugin[type];
    },

    registerObject (type, fn) {
        if (!_ObjectPlugin[type]) {
            _ObjectPlugin[type] = [];
        }
        if (_ObjectPlugin[type].length > 0) {
            console.log("object already registered!");
        }
        _ObjectPlugin[type].push(fn);
    },

    relieveObject (type) {
        delete _ObjectPlugin[type];
    },
};
