/**
 * guy
 * 由一个元素切换到另一个元素的行为
 */
import { Action } from "./action";

export class ShowAction extends Action {
    actionPerformed(src, tar, callback) {
        tar = tar || this.options.tar;
        tar.setVisible(true);
        callback && callback();
    }

    actionBack(tar, src, callback) {
        tar = tar || this.options.tar;
        tar.setVisible(false);
        callback && callback();
    }
}

export const ActionFactory = {
    createAction (key, options) {
        let Action;
        switch (key) {
        case "show":
            Action = ShowAction;
            break;
        default:
        }
        
        return new Action(options);
    },
};
