import { Element } from "./element";
import { isString, isWidget } from "../2.base";

Element.renderEngine = {
    createElement: widget => {
        if (isWidget(widget)) {
            const o = widget.options;
            if (o.element instanceof Element) {
                return o.element;
            }
            if (typeof o.element === "string" && o.element !== "body") {
                o.root = false;
                
                return new Element(widget);
            }

            if (o.root === true) {
                return new Element();
            }
        }
        if (isString(widget)) {
            return new Element(widget);
        }
        
        return new Element(widget);
    },

    createFragment() {
        return new Element();
    },
};

export { Element };
