import { each, isNull, hyphenate, isNumeric, isKey } from "../../2.base";

const skipArray = [];
const pxStyle = ["font-size", "width", "height"];
function _renderToHtml(root) {
    let str = "";
    if (isNull(root.originalHtml)) {
        if (root.tag !== "body") {
            str += `<${root.tag}`;
            if (root.classList.length > 0) {
                str += " class=\"";
                each(root.classList, (i, cls) => {
                    str += ` ${cls}`;
                });
                str += "\"";
            }
            str += " style=\"";
            each(root.originalStyles, (key, stl) => {
                if (
                    skipArray.contains(key) ||
          (key === "height" && root.classList.contains("bi-design-components-data-data-table-cell"))
                ) {
                    return;
                }
                key = hyphenate(key);
                if (key === "font-family") {
                    stl = stl.replace(/"/g, "");
                }
                if (pxStyle.contains(key) && isNumeric(stl)) {
                    stl += "px";
                }
                if (isKey(stl)) {
                    str += ` ${key}:${stl};`;
                }
            });
            str += "\"";
            each(root.attribs, (key, attr) => {
                if (isKey(attr)) {
                    str += ` ${key}=${attr}`;
                }
            });
            if (root.textContent) {
                str += ` title=${root.textContent}`;
            }
            str += ">";
        }
        // 特殊处理，spread_table的行列元素是不取配置里的高度的，使用stretch拉伸的（leaves取了高度），但是功能代码里给单元格默认高度了，导致拉伸不了
        //  而spread_grid_table的行列元素是取配置里的高度的，拉不拉伸都一样
        each(root.children, (i, child) => {
            str += _renderToHtml(child);
        });
    } else {
        str += root.originalHtml;
    }
    if (root.tag !== "body") {
        if (root.textContent) {
            str += root.textContent;
        }
        str += `</${root.tag}>`;
    }
    
    return str;
}

export const registRenderToHtmlFun = Element => {
    Element.registerFunction("renderToHtml", function () {
        return _renderToHtml(this);
    });
};
