import { each, hyphenate } from "../../2.base";

const skipArray = ["width", "height"];
function _renderToString(root) {
    let str = "";
    if (root.nodeName !== "body") {
        str += `<${root.nodeName}`;
        if (root.classList.length > 0) {
            str += " class=\"";
            each(root.classList, (i, cls) => {
                str += ` ${cls}`;
            });
            str += "\"";
        }
        str += " style=\"";
        each(root.styles, (key, stl) => {
            if (skipArray.includes(key)) {
                return;
            }
            key = hyphenate(key);
            str += ` ${key}:${stl};`;
        });
        str += ` width:${root.width}px;`;
        str += ` height:${root.height}px;`;
        str += " position: fixed;";
        str += ` left: ${root.position.x}px;`;
        str += ` top: ${root.position.y}px;`;
        str += "\"";
        each(root.attribs, (key, attr) => {
            str += ` ${key}:${attr}`;
        });
        str += ">";
    }
    each(root.children, (i, child) => {
        str += _renderToString(child);
    });
    // if (root.htmlContent) {
    //     str += root.htmlContent;
    // }
    if (root.nodeName !== "body") {
        if (root.text) {
            str += root.text;
        }
        str += `</${root.nodeName}>`;
    }
    
    return str;
}

export const registRenderToStringFun = Element => {
    Element.registerFunction("renderToString", function () {
        return _renderToString(this);
    });
};
