/**
 * guy
 * 检测某个Widget的EventChange事件然后去show某个card
 */
import { OB } from "../3.ob";
import { isArray, isNull, nextTick } from "../2.base";
import { createWidget } from "../5.inject";
import { Controller } from "../controller/0.controller";
import { Events, emptyFn } from "../constant";

export class ShowListener extends OB {
    static EVENT_CHANGE = "EVENT_CHANGE";

    props() {
        return {
            eventObj: createWidget(),
            cardLayout: null,
            cardNameCreator: v => v,
            cardCreator: emptyFn,
            afterCardCreated: emptyFn,
            afterCardShow: emptyFn,
        };
    }

    init() {
        const { eventObj, cardLayout, afterCardCreated, cardNameCreator, cardCreator, afterCardShow } = this.options;
        if (eventObj) {
            eventObj.on(Controller.EVENT_CHANGE, (type, v, ob) => {
                if (type === Events.CLICK) {
                    v = v || eventObj.getValue();
                    v = isArray(v) ? (v.length > 1 ? v.toString() : v[0]) : v;
                    if (isNull(v)) {
                        throw new Error("canot be null");
                    }
                    const cardName = cardNameCreator(v);
                    if (!cardLayout.isCardExisted(cardName)) {
                        const card = cardCreator(cardName);
                        cardLayout.addCardByName(cardName, card);
                        afterCardCreated(cardName);
                    }
                    cardLayout.showCardByName(cardName);
                    nextTick(() => {
                        afterCardShow(cardName);
                        this.fireEvent(ShowListener.EVENT_CHANGE, cardName);
                    });
                }
            });
        }
    }
}
