/**
 * style加载管理器
 *
 * Created by GUY on 2015/9/7.
 */
import { extend, isNotNull } from "../2.base";
import { OB } from "../3.ob";
import { _global } from "../0.foundation";

export class StyleLoaderManager extends OB {
    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {});
    }

    _init() {
        super._init(...arguments);
        this.stylesManager = {};
    }

    loadStyle(name, styleString) {
        if (!_global.document) {
            return;
        }
        const d = document, styles = d.createElement("style");
        d.getElementsByTagName("head")[0].appendChild(styles);
        styles.setAttribute("type", "text/css");
        if (styles.styleSheet) {
            styles.styleSheet.cssText = styleString;
        } else {
            styles.appendChild(document.createTextNode(styleString));
        }
        this.stylesManager[name] = styles;

        return this;
    }

    get(name) {
        return this.stylesManager[name];
    }

    has(name) {
        return isNotNull(this.stylesManager[name]);
    }

    removeStyle(name) {
        if (!this.has(name)) {
            return this;
        }
        this.stylesManager[name].parentNode.removeChild(this.stylesManager[name]);
        delete this.stylesManager[name];
        
        return this;
    }
}
