export class LinkHashMap {
    constructor() {
        this.array = [];
        this.map = {};
    }

    has(key) {
        return key in this.map;
    }

    add(key, value) {
        if (typeof key === "undefined") {
            return;
        }
        if (key in this.map) {
            this.map[key] = value;
        } else {
            this.array.push(key);
            this.map[key] = value;
        }
    }

    remove(key) {
        if (key in this.map) {
            delete this.map[key];
            for (let i = 0; i < this.array.length; i++) {
                if (this.array[i] == key) {
                    this.array.splice(i, 1);
                    break;
                }
            }
        }
    }

    size() {
        return this.array.length;
    }

    each(fn, scope) {
        scope = scope || window;
        fn = fn || null;
        if (fn == null || typeof (fn) !== "function") {
            return;
        }
        for (let i = 0; i < this.array.length; i++) {
            const key = this.array[i];
            const value = this.map[key];
            const re = fn.call(scope, key, value, i, this.array, this.map);
            if (re == false) {
                break;
            }
        }
    }

    get(key) {
        return this.map[key];
    }

    toArray() {
        const array = [];
        this.each(function (key, value) {
            array.push(value);
        });
        return array;
    }
}
