import { contains, remove } from "../2.base";

export class Queue {
    constructor(capacity) {
        this.capacity = capacity;
        this.array = [];
    }

    contains(v) {
        return contains(this.array, v);
    }

    indexOf(v) {
        return contains(this.array, v);
    }

    getElementByIndex(index) {
        return this.array[index];
    }

    push(v) {
        this.array.push(v);
        if (this.capacity && this.array.length > this.capacity) {
            this.array.shift();
        }
    }

    pop() {
        this.array.pop();
    }

    shift() {
        this.array.shift();
    }

    unshift(v) {
        this.array.unshift(v);
        if (this.capacity && this.array.length > this.capacity) {
            this.array.pop();
        }
    }

    remove(v) {
        remove(this.array, v);
    }

    splice() {
        this.array.splice.apply(this.array, arguments);
    }

    slice() {
        this.array.slice.apply(this.array, arguments);
    }

    size() {
        return this.array.length;
    }

    each(fn, scope) {
        scope = scope || window;
        fn = fn || null;
        if (fn == null || typeof (fn) !== "function") {
            return;
        }
        for (let i = 0; i < this.array.length; i++) {
            const re = fn.call(scope, i, this.array[i], this.array);
            if (re === false) {
                break;
            }
        }
    }

    toArray() {
        return this.array;
    }

    fromArray(array) {
        array.forEach(v => this.push(v));
    }

    clear() {
        this.array.length = 0;
    }
}


