import { shortcut } from "../../../decorator";
import { Layout } from "../../layout";
import { extend } from "../../../2.base";
import { VerticalAlign } from "../../../constant";

/**
 * absolute实现的居中布局
 * @class AbsoluteVerticalLayout
 * @extends Layout
 */
@shortcut()
export class AbsoluteVerticalLayout extends Layout {
    static xtype = "bi.absolute_vertical_adapt";

    props() {
        return extend(super.props(...arguments), {
            baseCls: "bi-abs-v-a",
            verticalAlign: VerticalAlign.Middle,
            columnSize: [],
            hgap: 0,
            lgap: 0,
            rgap: 0,
            vgap: 0,
            tgap: 0,
            bgap: 0,
        });
    }

    render() {
        const o = this.options;
        super.render(...arguments);
        
        return {
            type: "bi.htape",
            verticalAlign: o.verticalAlign,
            columnSize: o.columnSize,
            items: o.items,
            scrollx: o.scrollx,
            scrolly: o.scrolly,
            scrollable: o.scrollable,
            ref: _ref => {
                this.layout = _ref;
            },
            hgap: o.hgap,
            vgap: o.vgap,
            lgap: o.lgap,
            rgap: o.rgap,
            tgap: o.tgap,
            bgap: o.bgap,
            innerHgap: o.innerHgap,
            innerVgap: o.innerVgap,
        };
    }

    resize() {
        this.layout.resize();
    }

    populate(...args) {
        this.layout.populate(...args);
    }
}
