import { shortcut } from "../../../decorator";
import { Layout } from "../../layout";
import { extend } from "../../../2.base";
import { HorizontalAlign, VerticalAlign } from "../../../constant";

/**
 * 自适应水平和垂直方向都居中容器
 * @class CenterAdaptLayout
 * @extends Layout
 */
@shortcut()
export class CenterAdaptLayout extends Layout {
    static xtype = "bi.center_adapt";

    props() {
        return extend(super.props(...arguments), {
            baseCls: "bi-c-a",
            horizontalAlign: HorizontalAlign.Center,
            columnSize: [],
            scrollx: false,
            hgap: 0,
            vgap: 0,
            lgap: 0,
            rgap: 0,
            tgap: 0,
            bgap: 0,
        });
    }

    render() {
        const o = this.options;
        super.render(...arguments);
        
        return {
            type: "bi.horizontal",
            verticalAlign: VerticalAlign.Middle,
            horizontalAlign: o.horizontalAlign,
            columnSize: o.columnSize,
            scrollx: o.scrollx,
            scrolly: o.scrolly,
            scrollable: o.scrollable,
            items: o.items,
            ref: _ref => {
                this.layout = _ref;
            },
            hgap: o.hgap,
            vgap: o.vgap,
            lgap: o.lgap,
            rgap: o.rgap,
            tgap: o.tgap,
            bgap: o.bgap,
            innerHgap: o.innerHgap,
            innerVgap: o.innerVgap,
        };
    }

    resize() {
        this.layout.resize();
    }

    populate(...args) {
        this.layout.populate(...args);
    }
}
