import { shortcut } from "../../../decorator";
import { Layout } from "../../layout";
import { HorizontalAlign, VerticalAlign } from "../../../constant";

/**
 * 垂直方向居中容器
 * @class VerticalAdaptLayout
 * @extends Layout
 */
@shortcut()
export class VerticalAdaptLayout extends Layout {
    static xtype = "bi.vertical_adapt";

    props = {
        baseCls: "bi-v-a",
        horizontalAlign: HorizontalAlign.Left,
        verticalAlign: VerticalAlign.Middle,
        columnSize: [],
        scrollx: false,
        hgap: 0,
        vgap: 0,
        lgap: 0,
        rgap: 0,
        tgap: 0,
        bgap: 0,
    }

    render() {
        const o = this.options;
        super.render(...arguments);
        
        return {
            type: "bi.horizontal",
            horizontalAlign: o.horizontalAlign,
            verticalAlign: o.verticalAlign,
            columnSize: o.columnSize,
            items: o.items,
            scrollx: o.scrollx,
            scrolly: o.scrolly,
            scrollable: o.scrollable,
            ref: _ref => {
                this.layout = _ref;
            },
            hgap: o.hgap,
            vgap: o.vgap,
            lgap: o.lgap,
            rgap: o.rgap,
            tgap: o.tgap,
            bgap: o.bgap,
            innerHgap: o.innerHgap,
            innerVgap: o.innerVgap,
        };
    }

    resize() {
        this.layout.resize();
    }

    populate(...args) {
        this.layout.populate(...args);
    }
}
