import { shortcut } from "../../../decorator";
import { Layout } from "../../layout";
import { extend, isFunction } from "../../../2.base";

/**
 * 水平方向居中自适应容器
 * @class HorizontalAutoLayout
 * @extends Layout
 */
@shortcut()
export class HorizontalAutoLayout extends Layout {
    static xtype = "bi.horizontal_auto";

    props() {
        return extend(super.props(...arguments), {
            baseCls: "bi-h-o",
            hgap: 0,
            lgap: 0,
            rgap: 0,
            vgap: 0,
            tgap: 0,
            bgap: 0,
        });
    }

    render() {
        super.render(...arguments);
        const o = this.options;
        const items = isFunction(o.items) ? this.__watch(o.items, (context, newValue) => {
            this.populate(newValue);
        }) : o.items;
        this.populate(items);
    }

    _addElement(i, item) {
        const w = super._addElement(...arguments);
        w.element.css({
            position: "relative",
            margin: "0px auto",
        });
        this._handleGap(w, item, null, i);
        
        return w;
    }

    populate(...args) {
        super.populate(...args);
        this._mount();
    }
}
