import { shortcut } from "@/core/decorator";
import { extend } from "@/core/2.base";
import { HorizontalAlign, VerticalAlign } from "@/core/constant";
import { Layout } from "../../layout";

/**
 * Created by GUY on 2016/12/2.
 *
 * @class FlexHorizontalCenter
 * @extends Layout
 */
@shortcut()
export class FlexHorizontalCenter extends Layout {
    static xtype = "bi.flex_horizontal_adapt";

    props() {
        return extend(super.props(...arguments), {
            baseCls: "bi-f-h-c",
            horizontalAlign: HorizontalAlign.Center,
            verticalAlign: VerticalAlign.Top,
            rowSize: [],
            scrolly: false,
            hgap: 0,
            vgap: 0,
            lgap: 0,
            rgap: 0,
            tgap: 0,
            bgap: 0,
        });
    }

    render() {
        const o = this.options;
        
        return {
            type: "bi.flex_vertical",
            ref: _ref => {
                this.layout = _ref;
            },
            horizontalAlign: o.horizontalAlign,
            verticalAlign: o.verticalAlign,
            columnSize: o.columnSize,
            rowSize: o.rowSize,
            scrollx: o.scrollx,
            scrolly: o.scrolly,
            scrollable: o.scrollable,
            hgap: o.hgap,
            vgap: o.vgap,
            tgap: o.tgap,
            bgap: o.bgap,
            innerHgap: o.innerHgap,
            innerVgap: o.innerVgap,
            items: o.items,
        };
    }

    resize() {
        this.layout.resize();
    }

    populate(items) {
        this.layout.populate(items);
    }
}

@shortcut()
export class FlexHorizontalCenterAdapt extends FlexHorizontalCenter {
    static xtype = "bi.flex_horizontal_center_adapt";
}
