import { shortcut } from "@/core/decorator";
import { extend } from "@/core/2.base";
import { HorizontalAlign, VerticalAlign } from "@/core/constant";
import { Layout } from "@/core/wrapper/layout";

/**
 *自适应水平和垂直方向都居中容器
 * Created by GUY on 2016/12/2.
 *
 * @class FlexWrapperCenterLayout
 * @extends Layout
 */
@shortcut()
export class FlexWrapperCenterLayout extends Layout {
    static xtype = "bi.flex_scrollable_center_adapt";

    props() {
        return extend(super.props(...arguments), {
            baseCls: "bi-f-s-c",
            horizontalAlign: HorizontalAlign.Center,
            verticalAlign: VerticalAlign.Middle,
            columnSize: [],
            scrollx: false,
            scrollable: true,
            hgap: 0,
            vgap: 0,
            lgap: 0,
            rgap: 0,
            tgap: 0,
            bgap: 0,
        });
    }

    render() {
        const o = this.options;
        
        return {
            type: "bi.flex_scrollable_horizontal",
            ref: _ref => {
                this.layout = _ref;
            },
            horizontalAlign: o.horizontalAlign,
            verticalAlign: o.verticalAlign,
            columnSize: o.columnSize,
            rowSize: o.rowSize,
            scrollx: o.scrollx,
            scrolly: o.scrolly,
            scrollable: o.scrollable,
            hgap: o.hgap,
            vgap: o.vgap,
            lgap: o.lgap,
            rgap: o.rgap,
            items: o.items,
        };
    }

    resize() {
        this.layout.resize();
    }

    populate(items) {
        this.layout.populate(items);
    }
}
