import { shortcut } from "../../decorator";
import { Layout } from "../layout";
import { extend, isFunction } from "../../2.base";

/**
 * 默认的布局方式
 *
 * @class DefaultLayout
 * @extends Layout
 */
@shortcut()
export class DefaultLayout extends Layout {
    static xtype = "bi.default";

    props() {
        return extend(super.props(...arguments), {
            hgap: 0,
            vgap: 0,
            lgap: 0,
            rgap: 0,
            tgap: 0,
            bgap: 0,
            items: [],
        });
    }

    render() {
        super.render(...arguments);
        const o = this.options;
        const items = isFunction(o.items) ? this.__watch(o.items, (context, newValue) => {
            this.populate(newValue);
        }) : o.items;
        this.populate(items);
    }

    _addElement(i, item) {
        const w = super._addElement(...arguments);
        this._handleGap(w, item);
        
        return w;
    }

    populate(...args) {
        super.populate(...args);
        this._mount();
    }
}
