import { shortcut } from "@/core/decorator";
import { each } from "@/core/2.base";
import { HorizontalAlign } from "@/core/constant";
// import { Resizers } from "@/base/0.base";
import { FlexWrapperHorizontalLayout } from "../flex";

/**
 * 横向响应式布局
 * Created by GUY on 2016/12/2.
 *
 * @class ResponsiveFlexWrapperHorizontalLayout
 * @extends FlexWrapperHorizontalLayout
 */
@shortcut()
export class ResponsiveFlexWrapperHorizontalLayout extends FlexWrapperHorizontalLayout {
    static xtype = "bi.responsive_flex_scrollable_horizontal";

    mounted() {
        const o = this.options;
        if (o.horizontalAlign !== HorizontalAlign.Center) {
            return;
        }
        const defaultResize = () => {
            if (o.scrollable !== true && o.scrollx !== true) {
                const clientWidth = document.body.clientWidth;
                if (this.element.width() > 2 / 3 * clientWidth) {
                    if (clientWidth <= 768) {
                        each(this._children, (i, child) => {
                            this._clearGap(child);
                            this._handleReverseGap(child, o.items[i], i | 0);
                        });
                        this.element.css("flex-direction", "column");
                        this.$wrapper.element.css("flex-direction", "column");
                    }
                }
            }
        };
        // const resize = () => {
        //     defaultResize();
        //     if (o.scrollable !== true && o.scrollx !== true) {
        //         const clientWidth = document.body.clientWidth;
        //         if (this.element.width() > 2 / 3 * clientWidth) {
        //             if (clientWidth > 768) {
        //                 each(this._children, (i, child) => {
        //                     this._clearGap(child);
        //                 });
        //                 this.resize();
        //                 this.element.css("flex-direction", "row");
        //                 this.$wrapper.element.css("flex-direction", "row");
        //             }
        //         }
        //     }
        // };
        // this.unResize = Resizers.add(this.getName(), resize);
        defaultResize();
    }

    destroyed() {
        this.unResize();
    }
}
