import { Label, IconLabel, Trigger } from "@/base";
import { VerticalAdaptLayout, shortcut, extend, createWidget } from "@/core";

/**
 * 日期控件中的年份或月份trigger
 *
 * Created by GUY on 2015/9/7.
 * @class DateTriangleTrigger
 * @extends Trigger
 */
@shortcut()
export class DateTriangleTrigger extends Trigger {
    static xtype = "bi.date_triangle_trigger";

    _const = {
        height: 24,
        iconWidth: 12,
        iconHeight: 12,
    };

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            baseCls: "bi-date-triangle-trigger solid-triangle-bottom-font cursor-pointer",
            height: 24,
        });
    }

    _init() {
        super._init(...arguments);
        const o = this.options,
            c = this._const;
        this.text = createWidget({
            type: Label.xtype,
            cls: "list-item-text",
            textAlign: "right",
            text: o.text,
            value: o.value,
            height: c.height,
        });

        createWidget({
            type: VerticalAdaptLayout.xtype,
            element: this,
            items: [
                {
                    el: this.text,
                    rgap: 5,
                },
                {
                    type: IconLabel.xtype,
                    width: 16,
                }
            ],
        });
    }

    setValue(v) {
        this.text.setValue(v);
    }

    getValue() {
        return this.text.getValue();
    }

    setText(v) {
        this.text.setText(v);
    }

    getText() {
        return this.item.getText();
    }

    getKey() {}
}
