import { ButtonTree } from "@/base";
import { VerticalLayout, shortcut, Widget, extend, createWidget, Controller, Events } from "@/core";

@shortcut()
export class DownListGroup extends Widget {
    static xtype = "bi.down_list_group";

    constants = { iconCls: "check-mark-ha-font" };

    static EVENT_CHANGE = "EVENT_CHANGE";

    _defaultConfig() {
        return extend(super._defaultConfig(...arguments), {
            baseCls: "bi-down-list-group",
            items: [
                {
                    el: {},
                }
            ],
        });
    }

    _init() {
        super._init(...arguments);
        const o = this.options;

        this.downlistgroup = createWidget({
            element: this,
            type: ButtonTree.xtype,
            items: o.items,
            chooseType: 0, // 0单选，1多选
            layouts: [
                {
                    type: VerticalLayout.xtype,
                    hgap: 0,
                    vgap: 0,
                }
            ],
            value: o.value,
        });
        this.downlistgroup.on(Controller.EVENT_CHANGE, (type, ...args) => {
            this.fireEvent(Controller.EVENT_CHANGE, type, ...args);
            if (type === Events.CLICK) {
                this.fireEvent(DownListGroup.EVENT_CHANGE, type, ...args);
            }
        });
    }

    getValue() {
        return this.downlistgroup.getValue();
    }

    setValue(v) {
        this.downlistgroup.setValue(v);
    }
}
