import { Label } from "../../label/label";
import { AbstractLabel } from "../../label/abstract.label";
import { IconLabel } from "../../label/icon.label";
import { BasicButton } from "../button.basic";

export declare class Button extends BasicButton {
    static xtype: string;

    static EVENT_CHANGE: string;

    props: {
        minWidth?: number;
        readonly?: boolean;
        iconCls?: string;
        level?: "common" | "success" | "warning" | "error" | "ignore",
        block?: boolean; // 是否块状显示，即不显示边框，没有最小宽度的限制
        loading?: boolean, // 是否处于加载中
        light?: boolean, // 是否使用浅色
        plain?: boolean, // 是否是朴素按钮，和 clear 的区别是 plain 有悬浮效果
        clear?: boolean; // 是否去掉边框和背景
        ghost?: boolean; // 是否幽灵显示, 即正常状态无背景
        iconGap?: number;
        iconPosition?: string;
        textWidth?: number;
    } & AbstractLabel["props"] & IconLabel["props"] & BasicButton["props"];

    text: Label;
    icon?: IconLabel;

    doRedMark(...args: any[]): void;

    unRedMark(...args: any[]): void;

    doHighLight(...args: any[]): void;

    unHighLight(...args: any[]): void;

    loading(): void;

    loaded(): void;

    setIcon(iconCls: string): void;

    isLoading(): boolean;
}
