export interface Date {
    SECOND: number;
    MINUTE: number;
    HOUR: number;
    DAY: number;
    WEEK: number;
    _DN: string[];
    _SDN: string[];
    _FD: number;
    _MN: string[];
    _SMN: number[];
    _QN: string[];
    _MD: number[];
    _OFFSET: number[];
}

/**
 * 获取时区
 */
export declare function getTimezone(date: Date): string;

/**
 * 获取指定月共有多少天
 */
export declare function getMonthDays(date: Date, month: number): number;

/**
 * 获取指定月的最后一天
 */
export declare function getLastDateOfMonth(data: Date): Date;

/**
 * 获取指定时间距离当年已经过了多少天
 */
export declare function getDayOfYear(data: Date): number;

/**
 * 获取指定时间距离当年已经过了多少周
 */
export declare function getWeekNumber(data: Date): number;

/**
 * 获取指定时间的所处季度
 */
export declare function getQuarter(date: Date): number;

/**
 * 离当前时间多少天的时间
 */
export declare function getOffsetDate(date: Date, offset: number): Date;

/**
 * 离当前时间多少天季度的时间
 */
export declare function getOffsetQuarter(date: Date, n: number): Date;

/**
 * 得到本季度的起始月份
 */
export declare function getQuarterStartMonth(date: Date): number;

/**
 * 获得本季度的起始日期
 */
export declare function getQuarterStartDate(date: Date): number;

/**
 * 获取本季度的其实日期
 */
export declare function getQuarterEndDate(date: Date): number;

/**
 * 指定日期n个月之前或之后的日期
 */
export declare function getOffsetMonth(date: Date, n: number): Date;

/**
 * 获取本周的起始日期
 */
export declare function getWeekStartDate(date: Date): Date;

/**
 * 获取本周的结束日期
 */
export declare function getWeekEndDate(date: Date): Date;

/**
 * 格式化打印日期
 */
export declare function print(date: Date, str: string): string;

