import { Widget } from "../../widget";

export declare function ready(fn: Function): void

export declare function patchProps(fromElement: any, toElement: any): void

export declare function hang(doms: Widget[]): DocumentFragment

export declare function isExist(obj: Widget): boolean

export declare function preloadImages(srcArray: string[], onload: Function): void

export declare function getTextSizeWidth(text: string, fontSize?: number): number

export declare function getTextSizeHeight(text: string, fontSize?: number): number

export declare function getScrollWidth(): number

export declare function getImage(param: string, fillStyle?: string, backgroundColor?: string): {
    width: number,
    height: number,
    src: string,
    style: string,
    param: string
}

export declare function isColor(color: string): boolean

export declare function isRGBColor(color: string): boolean

export declare function isHexColor(color: string): boolean

export declare function isDarkColor(hex: string): boolean

export declare function getContrastColor(color: string): string

export declare function rgb2hex(rgbColour: string): string

export declare function rgb2json(rgbColour: string): { r: number, g: number, b: number }

export declare function rgba2json(rgbColour: string): { r: number, g: number, b: number, a: number }

export declare function json2rgb(rgb: { r: number, g: number, b: number }): string

export declare function json2rgba(rgba: { r: number, g: number, b: number, a: number }): string

export declare function int2hex(strNum: number): string

export declare function hex2rgb(color: string): string

export declare function rgba2rgb(rgbColor: string, bgColor?: string): string

export declare function getLeftPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getInnerLeftPosition(combo: Widget, popup?: Widget, extraWidth?: number): { left: number }

export declare function getRightPosition(combo: Widget, popup?: Widget, extraWidth?: number): { left: number }

export declare function getInnerRightPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getTopPosition(combo: Widget, popup: Widget, extraHeight?: number): { top: number }

export declare function getBottomPosition(combo: Widget, popup?: Widget, extraHeight?: number): { top: number }

export declare function isLeftSpaceEnough(combo: Widget, popup: Widget, extraWidth?: number): boolean

export declare function isInnerLeftSpaceEnough(combo: Widget, popup: Widget, extraWidth?: number): boolean

export declare function isRightSpaceEnough(combo: Widget, popup: Widget, extraWidth?: number): boolean

export declare function isInnerRightSpaceEnough(combo: Widget, popup: Widget, extraWidth?: number): boolean

export declare function isTopSpaceEnough(combo: Widget, popup?: Widget, extraHeight?: number): boolean

export declare function isBottomSpaceEnough(combo: Widget, popup?: Widget, extraHeight?: number): boolean

export declare function isRightSpaceLarger(combo: Widget): boolean

export declare function isBottomSpaceLarger(combo: Widget): boolean

export declare function getLeftAlignPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getLeftAdaptPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getRightAlignPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getRightAdaptPosition(combo: Widget, popup: Widget, extraWidth?: number): { left: number }

export declare function getTopAlignPosition(combo: Widget, popup: Widget, extraHeight?: number, needAdaptHeight?: boolean): {
    top: number,
    adaptHeight?: number
}

export declare function getTopAdaptPosition(combo: Widget, popup: Widget, extraHeight?: number, needAdaptHeight?: boolean): {
    top: number,
    adaptHeight?: number
}

export declare function getBottomAlignPosition(combo: Widget, popup: Widget, extraHeight?: number, needAdaptHeight?: boolean): {
    top: number,
    adaptHeight?: number
}

export declare function getBottomAdaptPosition(combo: Widget, popup: Widget, extraHeight?: number, needAdaptHeight?: boolean): {
    top: number,
    adaptHeight?: number
}

export declare function getCenterAdaptPosition(combo: Widget, popup: Widget): { left: number }

export declare function getMiddleAdaptPosition(combo: Widget, popup: Widget): { top: number }

export declare function getComboPositionByDirections(combo: Widget, popup: Widget, extraWidth?: number, extraHeight?: number, needAdaptHeight?: number, directions?: number): {
    dir: string,
    left?: number,
    top?: number,
    change?: string
}

export declare function getComboPosition(combo: Widget, popup: Widget, extraWidth?: number, extraHeight?: number, needAdaptHeight?: number, directions?: number): {
    dir: string,
    left?: number,
    top?: number,
    change?: string
}
