const { sync, uniq } = require("./utils");

const configJS = "./src/core/platform/web/config.js";

const runtimePolyfill = ["core-js/stable"];

const basicAttachmentMap = {
    polyfill: sync(["src/polyfill/**/*.js"]).concat(runtimePolyfill),
    resource: sync(["src/less/resource/**/*.less"]),
    font: sync(["ui/less/font.less"]),
    ts: ["./typescript/bundle.ts"],
    ui: sync(["ui/less/app.less", "ui/less/**/*.less",]),
    less: sync([
        "src/less/core/**/*.less",
        "src/less/theme/**/*.less",
        "src/less/base/**/*.less",
        "src/less/case/**/*.less",
        "src/less/widget/**/*.less",
        "src/less/component/**/*.less"
    ]),
    js_bundle: sync(["src/bundle.js"]),
    js_worker: sync(["src/worker.js"])
};

const bundleCss = uniq([].concat(basicAttachmentMap.less, basicAttachmentMap.ui, sync(["public/less/app.less", "public/less/**/*.less"])));

const fineui = [].concat(
    bundleCss,
    basicAttachmentMap.polyfill,
    basicAttachmentMap.js_bundle,
    basicAttachmentMap.ts,
    configJS
);

const fineuiForWorker = [].concat(
    basicAttachmentMap.js_worker,
    basicAttachmentMap.ts
);

const fineuiWithout_Jquery_Polyfill = [].concat(
    bundleCss,
    basicAttachmentMap.polyfill,
    basicAttachmentMap.js_bundle,
    basicAttachmentMap.ts
);

module.exports = {
    fineui: uniq(fineui),
    fineuiForWorker: uniq(fineuiForWorker),
    fineuiWithout_Jquery_Polyfill: uniq(fineuiWithout_Jquery_Polyfill),
    bundleCss,
    font: uniq(basicAttachmentMap.font)
};
