const common = require("./webpack.common.js");
const { merge } = require("webpack-merge");
const dirs = require("./dirs");


module.exports = merge(common, {
    mode: "development",

    devtool: "eval-source-map",

    output: {
        path: dirs.DEST,
        filename: "[name].js",
    },

    devServer: {
        headers: {
            "Access-Control-Allow-Origin": "*",
        },
        port: 9001,
        // liveReload: true,
        client: {
            logging: 'error',
            overlay: false,
        },
    }
});
