const common = require("./webpack.common.js");
const { merge } = require("webpack-merge");
const dirs = require("./dirs");
const attachments = require("./attachments");

module.exports = merge(common, {
    mode: "production",
    target: ["web", "es5"],

    entry: {
        "fineui.min": attachments.fineui,
        "fineui.worker.min": attachments.fineuiForWorker,
        "fineui_without_jquery_polyfill.min": attachments.fineuiWithout_Jquery_Polyfill,
        "font": attachments.font
    },

    output: {
        path: dirs.DEST,
        filename: "[name].js",
        publicPath: ""
    },

    devtool: "hidden-source-map"
});
